(TeX-add-style-hook
 "amsdtx"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "book"
    "bk10"
    "url"
    "doc")
   (TeX-add-symbols
    '("ommitude" ["argument"] 1)
    '("arg" 1)
    '("qc" 1)
    '("secref" 1)
    '("env" 1)
    '("cnmsm" 4)
    '("cnom" 1)
    '("cnmm" 3)
    '("cnm" 2)
    '("embrace" 1)
    '("cs" 1)
    '("indexcs" 1)
    '("autoindex" 1)
    '("qq" 1)
    '("url" 1)
    "mdash"
    "ndash"
    "ntt"
    "bslchar"
    "addbslash"
    "nobslash"
    "Declare"
    "cnbreak"
    "cls"
    "pkg"
    "opt"
    "fn"
    "bst"
    "cnt"
    "fnt"
    "Textures"
    "qcat"
    "qcamp"
    "qcbang"
    "cnbang"
    "cnat"
    "errexa"
    "errexpl"
    "arrayargpatch"
    "urlsetup"
    "urlbreak"
    "urlfix"
    "cn"
    "allowtthyphens"
    "AmS"
    "latex"
    "amslatex"
    "tex"
    "amstex"
    "bibtex"
    "makeindx"
    "xypic"
    "ncn"
    "index"
    "chaptermark"
    "sectionmark"
    "thanks"
    "maketitle"
    "autoindex"
    "item"
    "noexpand"
    "AltMacroFont"
    "SpecialEnvIndex"
    "DescribeOption"
    "PrintDescribeOption"
    "option"
    "SpecialMainEnvIndex"
    "SpecialMainOptionIndex"
    "SpecialOptionIndex"
    "hDocInput"
    "filename"
    "skipfileheader"
    "hGetFileInfo")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    "histnote"
    "ctab")
   (LaTeX-add-index-entries
    "#1\\ifcodeline@index\\encapchar usage\\fi"
    "\"!@{\\ntt\\bslchar\\qcbang}"
    "\"@@{\\ntt\\bslchar\\qcat}"
    "#1\\actualchar\\string\\texttt{#1} environment\\encapchar usage"
    "%
        environments:\\levelchar#1%
        \\actualchar\\string\\texttt{#1}%
        \\encapchar usage")
   (LaTeX-add-pagestyles
    "headings"))
 :latex)

