(TeX-add-style-hook
 "amsldoc"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "book"
    "bk10"
    "url")
   (TeX-add-symbols
    '("ommitude" ["argument"] 1)
    '("errora" 1)
    '("arg" 1)
    '("qc" 1)
    '("secref" 1)
    '("gloss" 1)
    '("cnmsm" 4)
    '("cnom" 1)
    '("cnmm" 3)
    '("cnm" 2)
    '("embrace" 1)
    '("cs" 1)
    '("indexcs" 1)
    '("autoindex" 1)
    '("qq" 1)
    '("url" 1)
    "mdash"
    "ndash"
    "ntt"
    "bslchar"
    "addbslash"
    "nobslash"
    "Declare"
    "cnbreak"
    "cls"
    "pkg"
    "opt"
    "env"
    "fn"
    "bst"
    "cnt"
    "fnt"
    "Textures"
    "qcat"
    "qcamp"
    "qcbang"
    "openbox"
    "qedsymbol"
    "cnbang"
    "cnat"
    "errorbullet"
    "errexa"
    "errexpl"
    "arrayargpatch"
    "urlsetup"
    "urlbreak"
    "urlfix"
    "actualchar"
    "quotechar"
    "levelchar"
    "encapchar"
    "verbatimchar"
    "cn"
    "allowtthyphens"
    "AmS"
    "latex"
    "amslatex"
    "tex"
    "amstex"
    "bibtex"
    "makeindx"
    "xypic"
    "mail"
    "ncn"
    "index"
    "chaptermark"
    "sectionmark"
    "autoindex"
    "item"
    "activevert"
    "noexpand")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    "histnote"
    "error"
    "ctab")
   (LaTeX-add-index-entries
    "#1\\ifcodeline@index\\encapchar usage\\fi"
    "#1"
    "\"!@{\\ntt\\bslchar\\qcbang}"
    "\"@@{\\ntt\\bslchar\\qcat}")
   (LaTeX-add-pagestyles
    "headings"))
 :latex)

