(TeX-add-style-hook
 "articoletteracdp"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "letteracdp"
    "letteracdp10")
   (TeX-add-symbols
    "nopunct"
    "maketitle"
    "section"
    "paragraph"
    "epilogue"
    "tableofcontents"
    "l"
    "listoffigures"
    "listoftables"
    "newblock"
    "bysame"
    "contentsname"
    "listfigurename"
    "listtablename"
    "refname"
    "indexname"
    "figurename"
    "tablename"
    "theHletter"
    "theHparagraph"
    "theHsection"
    "title"
    "author"
    "dbltopfraction"
    "dblfloatpagefraction"
    "thesenderaddress"
    "thesubject")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("thebibliography" 1)
    "figure"
    "table")
   (LaTeX-add-counters
    "section"
    "paragraph"
    "figure"
    "table")
   (LaTeX-add-lengths
    "abovecaptionskip"
    "belowcaptionskip"))
 :latex)

