(TeX-add-style-hook
 "assoccnt"
 (lambda ()
   (TeX-run-style-hooks
    "xcolor"
    "etoolbox"
    "xkeyval"
    "xstring")
   (TeX-add-symbols
    '("SuspendCounters" ["argument"] 1)
    '("AssociationStatistics" ["argument"] 0)
    '("PrettyPrintCounterName" ["argument"] 1)
    '("DeclareAssociatedCounters" ["argument"] 2)
    '("AddAssociatedCounters" ["argument"] 2)
    '("AddDriverCounter" ["argument"] 1)
    '("IsSuspendedCounter" 3)
    '("GetDriverCounter" 1)
    '("AssociatedDriverCounterInfo" 1)
    '("IsAssociatedCounter" 3)
    '("IsAssociatedToCounter" 4)
    '("ClearAssociatedCountersList" 1)
    '("RemoveAssociatedCounters" 2)
    '("RemoveAssociatedCounter" 2)
    '("IsDriverCounter" 3)
    '("IsInResetList" 4)
    "ClearDriverCountersList"
    "GeneralCounterInfoColor"
    "DriverCounterInfoColor"
    "AssociatedCounterInfoColor"
    "ResumeSuspendedCounters"
    "LastSteppedCounter"
    "LastSetCounter"
    "LastRefSteppedCounter"
    "LastAddedToCounter"
    "assoccntpackageversion")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)))
 :latex)

