(TeX-add-style-hook
 "asymptote"
 (lambda ()
   (TeX-run-style-hooks
    "keyval"
    "ifthen"
    "color"
    "graphicx"
    "ifpdf"
    "ifxetex"
    "catchfile"
    "everypage")
   (TeX-add-symbols
    '("ASYanimategraphics" ["argument"] 4)
    '("asyinclude" ["argument"] 1)
    '("asy" ["argument"] 0)
    '("asysetup" 1)
    '("CatchFileDef" 3)
    "ASYdimen"
    "Asymptote"
    "csarg"
    "asylatexdir"
    "AsyExtension"
    "unquoteJobname"
    "rawJobname"
    "fixstar"
    "argtwo"
    "WriteAsyLine"
    "globalASYdefs"
    "WriteGlobalAsyLine"
    "ProcessAsymptote"
    "CurrentAsymptote"
    "ASYlatexdir"
    "ASYasydir"
    "ASYprefix"
    "asydef"
    "ThisAsymptote"
    "asydir"
    "ASYwidth"
    "ASYheight"
    "ASYviewportwidth"
    "ASYviewportheight")
   (LaTeX-add-environments
    "asy"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-counters
    "asy"))
 :latex)

