(TeX-add-style-hook
 "babelbib"
 (lambda ()
   (TeX-run-style-hooks
    "babel")
   (TeX-add-symbols
    '("url" 1)
    '("btxnumeralswedish" 2)
    '("btxnumeralromanian" 2)
    '("btxnumeralenglish" 2)
    '("btxnumeraldot" 2)
    '("btxnumeralfallback" 2)
    '("ifnumber" 3)
    '("btxannotation" 1)
    '("btxprintISSN" 1)
    '("btxprintISBN" 1)
    '("ifbtxprintISSN" 1)
    '("ifbtxprintISBN" 1)
    '("declarebtxcommands" 2)
    '("setbtxfallbacklanguage" 1)
    '("btxlanguagename" 1)
    '("biblanguage" 1)
    '("btxselectlanguage" 1)
    '("selectbiblanguage" 1)
    '("inputbdf" 2)
    '("bbbbaddto" 2)
    '("bbbbifundefined" 1)
    '("btxprintmonthyear" 4)
    "btx"
    "btxifchangecaseon"
    "btxifchangecaseoff"
    "setbibliographyfont"
    "providebibliographyfont"
    "btxauthorcolon"
    "btxISBN"
    "btxISSN"
    "test"
    "btxprintmonthyear"
    "btxifchangecase"
    "btxnamefont"
    "btxlastnamefont"
    "btxtitlefont"
    "btxjtitlefont"
    "btxetalfont"
    "btxjournalfont"
    "btxpublisherfont"
    "btxvolumefont"
    "btxISBNfont"
    "btxISSNfont"
    "btxurlfont"
    "btxurldatefont"
    "btxnumeralfont")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-counters
    "btxromaniannumeral"))
 :latex)

