(TeX-add-style-hook
 "background"
 (lambda ()
   (TeX-run-style-hooks
    "xkeyval"
    "tikz"
    "everypage"
    "afterpage")
   (TeX-add-symbols
    '("SetBgOpacity" 1)
    '("SetBgAnchor" 1)
    '("SetBgPosition" 1)
    '("SetBgHshift" 1)
    '("SetBgVshift" 1)
    '("SetBgScale" 1)
    '("SetBgColor" 1)
    '("SetBgAngle" 1)
    '("SetBgContents" 1)
    '("backgroundsetup" 1)
    "bg"
    "BgThispage"
    "NoBgThispage"
    "BgMaterial")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)))
 :latex)

