(TeX-add-style-hook
 "barddoc"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "a4paper" "nohead")))
   (TeX-run-style-hooks
    "geometry"
    "bardiag"
    "graphicx"
    "subfigure"
    "verbatim"
    "makeidx"
    "listings")
   (TeX-add-symbols
    '("pac" 1)
    '("figref" 1)
    '("mysection" 1)
    "barvers"
    "bard"
    "pst")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)))
 :latex)

