(TeX-add-style-hook
 "bardiag"
 (lambda ()
   (TeX-run-style-hooks
    "calc"
    "pstfp"
    "fp-snap"
    "pstricks"
    "pstcol"
    "pst-grad"
    "multido"
    "ifthen")
   (TeX-add-symbols
    '("diagLegenditem" ["argument"] 2)
    '("legendPutRect" ["argument"] 1)
    '("subtopbaritem" ["argument"] 3)
    '("subbaritem" ["argument"] 3)
    '("baritem" ["argument"] 3)
    '("printbarlabel" 4)
    '("printnumber" 4)
    '("diagLegendbegin" 3)
    '("diagLegendoptions" 3)
    '("barerror" 1)
    '("barerrormargins" 2)
    '("bardiagramend" 2)
    '("bardiagrambegin" 7)
    '("barspergroup" 1)
    "bdvert"
    "bdhor"
    "bdorientation"
    "nbarsingroup"
    "diagheight"
    "diagwidth"
    "dbar"
    "dx"
    "betweenticks"
    "numberofticks"
    "MAXnumberofticks"
    "xval"
    "xxval"
    "xhalf"
    "shownumbers"
    "numbercolor"
    "belowtop"
    "overtop"
    "bottom"
    "placenumber"
    "barlabelangle"
    "ticklabelangle"
    "legendShadow"
    "legendShadowColor"
    "frameTD"
    "tdx"
    "tdy"
    "tdhor"
    "tdver"
    "barerrorterm"
    "tmpvar"
    "ActiveBarPrimitive"
    "subtopx"
    "subtopy"
    "barmidx"
    "subxval"
    "subxxval"
    "subtopxx"
    "subtopyy"
    "subtopxhalf"
    "diagLegendend"
    "outputparameters"
    "whattoprint"
    "drawlevellines")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-counters
    "subbar")
   (LaTeX-add-lengths
    "bottomheight"
    "xunitlength"
    "yunitlength"
    "ticklength"
    "leftshift"
    "frameXleft"
    "frameYbottom"
    "tickrightedge"
    "textoffset"
    "captionoffset"
    "numberoffset"
    "lefttextoffset"
    "bgx"
    "bgy"
    "bgxa"
    "bgya"
    "legendXo"
    "legendYo"
    "legendWidth"
    "legendHeight"
    "legenditemheight"
    "legendspacer"
    "legendRectWidth"
    "legendRectHeight"
    "lixcoor"
    "liycoor"
    "lixxcoor"
    "liyycoor"
    "liix"
    "liiix"
    "lShX"
    "lShXxx"
    "lShY"
    "lShYyy"
    "legendRectXo"
    "legendRectX"
    "legendRectYo"
    "legendRectY"
    "legendiyc"
    "ycoordnum"
    "ytick"))
 :latex)

