(TeX-add-style-hook
 "beamerbaseframe"
 (lambda ()
   (TeX-add-symbols
    '("includeonlyframes" 1)
    "framewidth"
    "framelatex"
    "refcounter"
    "sectionentry"
    "slideentry"
    "resetcounteronoverlays"
    "resetcountonoverlays"
    "test"
    "pause"
    "onslide"
    "beamerclosesubstitutedenvironement"
    "end"
    "includeonlyframes"
    "insertframetitle"
    "insertframesubtitle"
    "insertframenumber"
    "framebreak"
    "noframebreak"
    "againframe")
   (LaTeX-add-environments
    "frame"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    "beamer")
   (LaTeX-add-counters
    "subsectionslide"
    "framenumber"))
 :latex)

