(TeX-add-style-hook
 "beamerbasenavigation"
 (lambda ()
   (TeX-add-symbols
    "insertframestartpage"
    "insertframeendpage"
    "insertsubsectionstartpage"
    "insertsubsectionendpage"
    "insertsectionstartpage"
    "insertsectionendpage"
    "insertpartstartpage"
    "insertpartendpage"
    "insertpresentationstartpage"
    "insertpresentationendpage"
    "insertappendixstartpage"
    "insertappendixendpage"
    "insertdocumentstartpage"
    "insertdocumentendpage"
    "beamer"
    "Hy"
    "hyperlinkslideprev"
    "hyperlinkslidenext"
    "hyperlinkframestart"
    "hyperlinkframeend"
    "hyperlinkframestartnext"
    "hyperlinkframeendprev"
    "hyperlinksubsectionstart"
    "hyperlinksubsectionend"
    "hyperlinksubsectionstartnext"
    "hyperlinksubsectionendprev"
    "hyperlinksectionstart"
    "hyperlinksectionend"
    "hyperlinksectionstartnext"
    "hyperlinksectionendprev"
    "hyperlinkpartstart"
    "hyperlinkpartend"
    "hyperlinkpartstartnext"
    "hyperlinkpartendprev"
    "hyperlinkpresentationstart"
    "hyperlinkpresentationend"
    "hyperlinkappendixstart"
    "hyperlinkappendixend"
    "hyperlinkdocumentstart"
    "hyperlinkdocumentend"
    "insertslidenavigationsymbol"
    "insertframenavigationsymbol"
    "insertsubsectionnavigationsymbol"
    "insertsectionnavigationsymbol"
    "insertdocnavigationsymbol"
    "insertbackfindforwardnavigationsymbol"
    "insertgotosymbol"
    "insertskipsymbol"
    "insertreturnsymbol"
    "insertbuttontext"
    "beamerbutton"
    "beamergotobutton"
    "beamerskipbutton"
    "beamerreturnbutton"
    "insertnavigation"
    "insertverticalnavigation"
    "insertsubsubsectionheadnumber"
    "insertsubsubsectionhead"
    "fakeslideentry"
    "insertsectionnavigation"
    "insertsectionhead"
    "insertsectionnavigationhorizontal"
    "insertsubsectionnavigation"
    "insertsubsectionnavigationhorizontal"
    "sectionentry"
    "slideentry"
    "insertsubsectionhead"
    "insertsectionheadnumber"
    "insertsubsectionheadnumber"
    "insertpartheadnumber")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)))
 :latex)

