(TeX-add-style-hook
 "bewerbung"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("scrlttr2" "DIN" "pagenumber=botright" "backaddress=true" "parskip=half" "fromalign=left" "fromemail=true" "fromfax=true" "fromphone=true" "fromurl=false" "fromalign=right" "fromlogo=false" "fromrule=true" "foldmarks=true" "paper=a4" "fontsize=10pt" "enlargefirstpage=true" "firstfoot=false")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("csquotes" "autostyle" "german=guillemets") ("geometry" "top=2.5cm") ("eurosym" "right")))
   (TeX-run-style-hooks
    "latex2e"
    "ifthen"
    "kvoptions"
    "calc"
    "scrlttr2"
    "scrlttr210"
    "csquotes"
    "geometry"
    "datatool"
    "eurosym"
    "xspace"
    "multicol"
    "pdfpages"
    "comment"
    "xparse")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)))
 :latex)

