(TeX-add-style-hook
 "bodegraph"
 (lambda ()
   (TeX-run-style-hooks
    "tikz"
    "ifthen"
    "ifsym")
   (TeX-add-symbols
    '("IsoModule" ["argument"] 0)
    '("StyleIsoA" ["argument"] 0)
    '("StyleIsoM" ["argument"] 0)
    '("TempGridStar" ["argument"] 0)
    '("TempGridNoStar" ["argument"] 0)
    '("RepTempText" ["argument"] 3)
    '("RepTempNoText" ["argument"] 2)
    '("NyquistGridNoStar" ["argument"] 0)
    '("NyquistGridStar" ["argument"] 0)
    '("NyquistTextNoPoint" ["argument"] 3)
    '("NyquistTextPoint" ["argument"] 3)
    '("NyquistPointPos" ["argument"] 3)
    '("NyquistPointNoPos" ["argument"] 3)
    '("NyquistGraphText" ["argument"] 4)
    '("NyquistGraphNoText" ["argument"] 3)
    '("BlackTextNoPoint" ["argument"] 2)
    '("BlackTextPoint" ["argument"] 2)
    '("BlackPointPos" ["argument"] 2)
    '("BlackPointNoPos" ["argument"] 2)
    '("BlackGraphText" ["argument"] 3)
    '("BlackGraphNoText" ["argument"] 2)
    '("BodePoint" ["argument"] 2)
    '("BodeGraphText" ["argument"] 3)
    '("BodeGraphNoText" ["argument"] 2)
    '("semilogS" ["argument"] 4)
    '("semilogNS" ["argument"] 4)
    '("IsoArgument" 1)
    '("POBlack" 2)
    '("SOBlack" 3)
    '("SOncArg" 4)
    '("POgArgAsymp" 5)
    '("POgAmpAsymp" 5)
    '("POgArg" 5)
    '("POgAmp" 5)
    '("RPArgAsymp" 3)
    '("RPAmpAsymp" 3)
    '("RPArg" 3)
    '("RPAmp" 3)
    '("APArgAsymp" 3)
    '("APAmpAsymp" 3)
    '("APArg" 3)
    '("APAmp" 3)
    '("PDArgAsymp" 2)
    '("PDAmpAsymp" 2)
    '("PDArg" 2)
    '("PDAmp" 2)
    '("PIDArgAsymp" 3)
    '("PIDAmpAsymp" 3)
    '("PIDArg" 3)
    '("PIDAmp" 3)
    '("PIArgAsymp" 2)
    '("PIAmpAsymp" 2)
    '("PIArg" 2)
    '("PIAmp" 2)
    '("RetArg" 1)
    '("RetAmp" 1)
    '("IntArg" 1)
    '("IntAmp" 1)
    '("SOArgReel" 3)
    '("SOAmpReel" 3)
    '("SOArgAsymp" 3)
    '("SOArg" 3)
    '("SOAmpAsymp" 3)
    '("SOAmp" 3)
    '("POArgReel" 2)
    '("POAmpReel" 2)
    '("POArgAsymp" 2)
    '("POArg" 2)
    '("POAmpAsymp" 2)
    '("POAmpng" 2)
    '("POAmp" 2)
    '("KArg" 1)
    '("KAmp" 1)
    '("semilogNG" 2)
    '("OrdBode" 1)
    "UnitedB"
    "UniteDegre"
    "semilog"
    "BodeGraph"
    "BodeAmp"
    "BodeArg"
    "BodeAmpPointA"
    "BlackGraph"
    "BlackPoint"
    "BlackText"
    "NyquistGraph"
    "NyquistPoint"
    "NyquistText"
    "NyquistGrid"
    "BlackGrid"
    "BlackGridStar"
    "BlackGridNoStar"
    "RepTemp"
    "TempGrid"
    "AbaqueBlack"
    "AbaqueBlackNoStar"
    "AbaqueBlackStar"
    "AbaqueTRsecond"
    "AbaqueDepassement"
    "valpi"
    "valpas"
    "Valsuivante"
    "Unitx"
    "Unity"
    "Xmax"
    "ValK"
    "ValW"
    "ValZ"
    "CorpsPol"
    "puce"
    "LW"
    "valgridNx"
    "valgridNy"
    "valgridBx"
    "valgridBy"
    "valmaxBf"
    "valgridx"
    "valmaxx"
    "valgridy"
    "valmaxy"
    "UnitS")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "idGnuplot"))
 :latex)

