(TeX-add-style-hook
 "bookest"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "book"
    "bk10"
    "color"
    "setspace"
    "graphicx"
    "hyperref"
    "eso-pic"
    "geometry"
    "everyshi")
   (TeX-add-symbols
    '("epigraph" 4)
    '("setrightmark" 1)
    '("setleftmark" 1)
    '("setoddfoottext" 1)
    '("setevenfoottext" 1)
    '("setevenheadtext" 1)
    '("setoddheadtext" 1)
    '("setoddfoot" 1)
    '("setevenfoot" 1)
    '("setoddhead" 1)
    '("setevenhead" 1)
    '("setsubparagraphfont" 1)
    '("setparagraphfont" 1)
    '("setsubsubsectionfont" 1)
    '("setsubsectionfont" 1)
    '("setsectionfont" 1)
    '("artsubparagraph" 1)
    '("artparagraph" 1)
    '("artsubsubsection" 1)
    '("artsubsection" 1)
    '("artsection" 1)
    '("settitlingpagetitle" 1)
    '("settitlingpagefooter" 1)
    '("settitlingpageprefooter" 1)
    '("settitlingpagemiddle" 1)
    '("setleftlogo" 1)
    '("setrightlogo" 1)
    '("setlogo" 1)
    '("setlogooptions" 1)
    '("inslogo" 1)
    '("SETcolorB" 1)
    '("setcolorB" 1)
    '("SETcolorA" 1)
    '("setcolorA" 1)
    '("setcontentsname" 1)
    '("setbibname" 1)
    '("shipouttext" 3)
    '("shipoutimage" 2)
    "ppar"
    "dimstleftskip"
    "black"
    "colorA"
    "colorB"
    "logo"
    "rightlogo"
    "leftlogo"
    "titlingpagemiddle"
    "titlingpageprefooter"
    "titlingpagefooter"
    "titling"
    "nomatter"
    "notinarticle"
    "sectionfont"
    "subsectionfont"
    "subsubsectionfont"
    "paragraphfont"
    "subparagraphfont"
    "oddheadtext"
    "evenheadtext"
    "evenfoottext"
    "oddfoottext"
    "makeheadrule"
    "makefootrule"
    "noepigraph"
    "bibname"
    "contentsname"
    "chapter"
    "section"
    "subsection"
    "subsubsection"
    "paragraph"
    "toctemp"
    "include"
    "UCase")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("abstract" 1)
    "dimst")
   (LaTeX-add-pagestyles
    "plain"))
 :latex)

