(TeX-add-style-hook
 "bxeepic"
 (lambda ()
   (TeX-run-style-hooks
    "pict2e")
   (TeX-add-symbols
    "maxovaldiam"
    "dashlinestretch"
    "drawlinestretch"
    "epictopgridlabelsep"
    "epicbottomgridlabelsep"
    "epicsidegridlabelsep"
    "pdfliteral"
    "drawline"
    "dottedline"
    "dashline"
    "jput"
    "flushjoin"
    "drawlines"
    "dottedlines"
    "dashlines"
    "path"
    "ellipse"
    "spline"
    "allinethickness"
    "Thicklines"
    "picsquare"
    "multiputlist"
    "matrixput"
    "grid"
    "spacewidth"
    "bxGridLabelForm"
    "putfile"
    "InputIfFileExists"
    "eepicdottedlines"
    "noeepicdottedlines")
   (LaTeX-add-environments
    "dashjoin"
    "dottedjoin"
    "drawjoin"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)))
 :latex)

