(TeX-add-style-hook
 "chapterfolder"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen")
   (TeX-add-symbols
    '("cfsubsectionstart" ["argument"] 3)
    '("cfsubsectionstd" ["argument"] 3)
    '("cfsectionstar" ["argument"] 3)
    '("cfsectionstd" ["argument"] 3)
    '("cfchapterstar" ["argument"] 3)
    '("cfchapterstd" ["argument"] 3)
    '("cfpartstar" ["argument"] 3)
    '("cfpartstd" ["argument"] 3)
    '("cfincludegraphics" ["argument"] 1)
    '("cfaddFolder" 2)
    '("cffolderinput" 2)
    '("cfinput" 1)
    "cfcurrentfolder"
    "cfpart"
    "cfchapter"
    "cfsection"
    "cfsubsection")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)))
 :latex)

