(TeX-add-style-hook
 "chletter"
 (lambda ()
   (TeX-run-style-hooks
    "leqno"
    "fleqn")
   (TeX-add-symbols
    "titlehead"
    "titletopheight"
    "titlemidheight"
    "titlebotheight"
    "titlemargin"
    "titlewidth"
    "addressmargin"
    "addresswidth"
    "longindentation"
    "indentedwidth"
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "name"
    "signature"
    "location"
    "address"
    "telephone"
    "return"
    "makelabels"
    "startlabels"
    "maketitle"
    "stopbreaks"
    "startbreaks"
    "opening"
    "closing"
    "object"
    "ps"
    "cc"
    "encl"
    "subparagraph"
    "paragraph"
    "subsubsection"
    "subsection"
    "section"
    "makelabel"
    "descriptionlabel"
    "theequation"
    "fromname"
    "fromsig"
    "fromlocation"
    "fromaddress"
    "telephonenum"
    "returnaddress"
    "toname"
    "toaddress"
    "salutation"
    "valediction"
    "ccname"
    "enclname"
    "pagename"
    "headtoname"
    "today"
    "titletopmatter"
    "titlemidmatter"
    "titlebotmatter"
    "splitfield"
    "closingmatter"
    "foldmark"
    "footfill")
   (LaTeX-add-environments
    "quote"
    "quotation"
    "verse"
    "description"
    "letter"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2))
   (LaTeX-add-pagestyles
    "plain"
    "firstpage"
    "headings"
    "myheadings")
   (LaTeX-add-counters
    "letter"))
 :latex)

