(TeX-add-style-hook
 "circ"
 (lambda ()
   (TeX-add-symbols
    "CIRCinternals"
    "ic"
    "ht"
    "wd"
    "dp"
    "cnta"
    "cntb"
    "outerspace"
    "pin"
    "io"
    "mid"
    "pinnum"
    "c"
    "freecirc"
    "protectcirc"
    "CIRCredef"
    "safedef"
    "safedefs"
    "getc"
    "check"
    "put"
    "hc"
    "vc"
    "tlap"
    "blap"
    "ac"
    "reset"
    "save"
    "restore"
    "diff"
    "centerto"
    "hcenterto"
    "vcenterto"
    "Ladd"
    "Lstore"
    "Lstopos"
    "Lrstpos"
    "LX"
    "store"
    "stopos"
    "rstpos"
    "X"
    "Cadd"
    "Cstore"
    "frompin"
    "atpin"
    "h"
    "v"
    "ii"
    "change"
    "CiRCl"
    "CiRCr"
    "CiRCu"
    "CiRCd"
    "CiRCL"
    "CiRCR"
    "CiRCU"
    "CiRCD"
    "CIRCiErr"
    "iv"
    "iviv"
    "lviii"
    "rviii"
    "dviii"
    "uviii"
    "viii"
    "CIRCpintoN"
    "cdef"
    "cdefiv"
    "cdefivNL"
    "cdefiviv"
    "cdefivivNL"
    "cdefNL"
    "cdefviii"
    "cwdef"
    "black"
    "sym"
    "bbdef"
    "bbdefNeT"
    "bbdefNeTii"
    "sbdef"
    "line"
    "test"
    "bundle"
    "wwire"
    "by"
    "calc"
    "vtopin"
    "htopin"
    "from"
    "at"
    "moverel"
    "shift"
    "nl"
    "nv"
    "cc"
    "clr"
    "addCIRCfont"
    "CIusefont"
    "add"
    "CIRCLogo")
   (LaTeX-add-environments
    "circuit"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)))
 :latex)

