(TeX-add-style-hook
 "cleveref"
 (lambda ()
   (TeX-add-symbols
    '("labelcrefrangemultiformat" 5)
    '("labelcrefmultiformat" 5)
    '("labelcrefrangeformat" 2)
    '("labelcrefformat" 2)
    '("Crefrangemultiformat" 5)
    '("crefrangemultiformat" 5)
    '("Crefmultiformat" 5)
    '("crefmultiformat" 5)
    '("Crefrangeformat" 2)
    '("crefrangeformat" 2)
    '("Crefformat" 2)
    '("crefformat" 2)
    '("crefalias" 2)
    '("crefrangelabelformat" 2)
    '("creflabelformat" 2)
    '("Crefname" 3)
    '("crefname" 3)
    '("crefdefaultlabelformat" 1)
    '("labelcpageref" 1)
    '("Cpagerefrange" 2)
    '("cpagerefrange" 2)
    '("Cpageref" 1)
    '("cpageref" 1)
    '("lcnamecrefs" 1)
    '("nameCrefs" 1)
    '("namecrefs" 1)
    '("lcnamecref" 1)
    '("nameCref" 1)
    '("namecref" 1)
    '("labelcref" 1)
    '("Crefrange" 2)
    '("crefrange" 2)
    '("Cref" 1)
    '("cref" 1)
    '("crefstripprefix" 2)
    "crefname"
    "Crefname"
    "cref"
    "Cref"
    "crefrange"
    "Crefrange"
    "cpageref"
    "Cpageref"
    "cpagerefrange"
    "Cpagerefrange"
    "labelcref"
    "labelcpageref"
    "vref"
    "Vref"
    "vrefrange"
    "Vrefrange"
    "fullref"
    "Fullref"
    "packagedate"
    "packageversion"
    "refstepcounter"
    "reftextcurrent"
    "creftextcurrent"
    "creftextfaceafter"
    "creftextfacebefore"
    "creftextafter"
    "creftextbefore"
    "creftextfaraway"
    "creftextpagerange"
    "or"
    "minalignsep"
    "tag"
    "label"
    "shoveleft"
    "shoveright"
    "thmheadnl"
    "IEEEyessubnumber"
    "refsteponlycounter"
    "crefrangeconjunction"
    "crefrangepreconjunction"
    "crefrangepostconjunction"
    "crefpairconjunction"
    "crefmiddleconjunction"
    "creflastconjunction"
    "crefpairgroupconjunction"
    "crefmiddlegroupconjunction"
    "creflastgroupconjunction")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)))
 :latex)

