(TeX-add-style-hook
 "ctibmantra"
 (lambda ()
   (TeX-run-style-hooks
    "twoopt"
    "relsize"
    "calc")
   (TeX-add-symbols
    '("inlang" 2)
    "skipTsheg"
    "langen"
    "langde"
    "langit"
    "langfr"
    "langtib"
    "nob"
    "smallga"
    "smallta"
    "smallpa"
    "smallna"
    "smallda"
    "smallka"
    "smallnya"
    "smalltsa"
    "smallma"
    "smallha"
    "yata"
    "wata"
    "dengu"
    "gigu"
    "naro"
    "shabkyu"
    "ix"
    "ing"
    "ixng"
    "eng"
    "ong"
    "A"
    "Aa"
    "bA"
    "bE"
    "bI"
    "dA"
    "dI"
    "dzA"
    "Ee"
    "gA"
    "hA"
    "hE"
    "hO"
    "I"
    "khA"
    "kA"
    "kI"
    "lI"
    "mA"
    "nA"
    "nE"
    "nI"
    "Oo"
    "pA"
    "pU"
    "rA"
    "rI"
    "rU"
    "sA"
    "shA"
    "shI"
    "tA"
    "thA"
    "thI"
    "tI"
    "U"
    "wA"
    "dxA"
    "dxI"
    "dxU"
    "shxA"
    "shxE"
    "swA"
    "bhA"
    "dhA"
    "dhI"
    "dhU"
    "hrI"
    "hrih"
    "shrI"
    "txwa"
    "txwA"
    "txwAm"
    "txwam"
    "don"
    "achungu"
    "bang"
    "bham"
    "bhrUm"
    "droom"
    "ddroom"
    "hang"
    "gteryang"
    "hung"
    "khang"
    "mum"
    "rang"
    "trAng"
    "ang"
    "bam"
    "dam"
    "dyam"
    "ham"
    "hum"
    "kam"
    "kem"
    "keng"
    "kham"
    "khrom"
    "kingka"
    "lam"
    "lyam"
    "mam"
    "nam"
    "ram"
    "rgham"
    "sang"
    "sham"
    "sum"
    "tam"
    "tatam"
    "tram"
    "ttam"
    "wam"
    "yam"
    "yang"
    "althung"
    "bhayo"
    "ddha"
    "ddhe"
    "ddhi"
    "ddho"
    "dga"
    "dhra"
    "dma"
    "dme"
    "dmi"
    "dmo"
    "drix"
    "dhu"
    "dhya"
    "dya"
    "dznyA"
    "dzwa"
    "ghna"
    "ghra"
    "ghri"
    "hrA"
    "hna"
    "hne"
    "hring"
    "kki"
    "kka"
    "kmo"
    "ksha"
    "kshxa"
    "kta"
    "kto"
    "ling"
    "lle"
    "mme"
    "mla"
    "mrix"
    "nda"
    "ndA"
    "ndha"
    "ndhe"
    "ndri"
    "ndxa"
    "ndxi"
    "ngga"
    "nxdxa"
    "ngha"
    "ngka"
    "ngta"
    "nna"
    "nrix"
    "nta"
    "nte"
    "nting"
    "ntra"
    "ntsa"
    "ntu"
    "nydza"
    "nytsa"
    "pda"
    "pheem"
    "shxpe"
    "rya"
    "rshe"
    "rdha"
    "rgha"
    "rmA"
    "rshxa"
    "shlo"
    "shta"
    "spha"
    "shwA"
    "shthxa"
    "shxtxa"
    "shxtxA"
    "shxtxing"
    "sphu"
    "stwa"
    "sya"
    "tma"
    "tstsha"
    "tstshi"
    "tna"
    "taya"
    "tpa"
    "tata"
    "tta"
    "ttaa"
    "ttA"
    "akarshxaya"
    "amrita"
    "anurakto"
    "argham"
    "atmako"
    "balingta"
    "bhAndxa"
    "bhandxa"
    "bhandha"
    "bighnan"
    "bhuddha"
    "bushxtxing"
    "dhAkinI"
    "dharmA"
    "dushxtxAn"
    "dzwala"
    "gandhe"
    "gindris"
    "ghrihne"
    "hayagriwa"
    "khatxwAm"
    "kIlaya"
    "krodhra"
    "dznyAna"
    "mandA"
    "mandxala"
    "mangga"
    "manggalam"
    "mangha"
    "muntra"
    "munytsa"
    "pAdyam"
    "padma"
    "padme"
    "padmi"
    "padmo"
    "pandxi"
    "panytsa"
    "pushxpe"
    "rakmo"
    "rakshxa"
    "rakta"
    "rakto"
    "ratna"
    "spharana"
    "shapda"
    "shanting"
    "shuddho"
    "shuddhe"
    "shwAna"
    "siddhi"
    "singha"
    "shinting"
    "tishthxa"
    "tsitta"
    "utpal"
    "udgate"
    "utsishta"
    "vajra"
    "wAn"
    "MArgam"
    "MConsonants"
    "MOmAhHung"
    "MVajraGuru"
    "MMani"
    "MInterdependence"
    "MVajraKilaya"
    "MVocals"
    "MVocalsConsonants")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0)
    '("empheq" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("mdframed" LaTeX-env-args ["argument"] 0)
    '("vplace" LaTeX-env-args ["argument"] 0)
    '("margintable" LaTeX-env-args ["argument"] 0)
    '("marginfigure" LaTeX-env-args ["argument"] 0)
    '("verse" LaTeX-env-args ["argument"] 0)
    '("menufolder" LaTeX-env-args ["argument"] 1)
    '("metrike" LaTeX-env-args ["argument"] 0)
    '("metrica" LaTeX-env-args ["argument"] 0)
    '("explaincode" LaTeX-env-args ["argument"] 0)
    '("minipagewithmarginpars" LaTeX-env-args ["argument"] 1)
    '("arrangedWrapFigureNow" LaTeX-env-args ["argument"] 6)
    '("arrangedWrapFigure" LaTeX-env-args ["argument"] 6)
    '("arrangedSideWaysFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedSideWaysFigure" LaTeX-env-args ["argument"] 4)
    '("arrangedFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedFigure" LaTeX-env-args ["argument"] 4)
    '("mtchideinmainlot" LaTeX-env-args ["argument"] 0)
    '("mtchideinmainlof" LaTeX-env-args ["argument"] 0)
    '("mtchideinmaintoc" LaTeX-env-args ["argument"] 0)
    '("minted" LaTeX-env-args ["argument"] 1)
    '("Minutes" LaTeX-env-args ["argument"] 1)
    '("quiz" LaTeX-env-args ["argument"] 1)
    '("mpostfig" LaTeX-env-args ["argument"] 0)
    '("mpostdef" LaTeX-env-args ["argument"] 0)
    '("hmsc" LaTeX-env-args ["argument"] 1)
    '("mscdoc" LaTeX-env-args ["argument"] 1)
    '("msc" LaTeX-env-args ["argument"] 1)
    '("multienumerate" LaTeX-env-args ["argument"] 0)
    '("alloweqbreak" LaTeX-env-args ["argument"] 0)
    '("biblist" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)
    '("definition" LaTeX-env-args ["argument"] 0)
    '("tntable" LaTeX-env-args ["argument"] 1)
    '("NumericDataPlot" LaTeX-env-args ["argument"] 2)
    '("tabularkv" LaTeX-env-args ["argument"] 0)
    '("outline" LaTeX-env-args ["argument"] 0)
    '("overpic" LaTeX-env-args ["argument"] 1)
    '("describe" LaTeX-env-args ["argument"] 0)
    '("Parallel" LaTeX-env-args ["argument"] 2)
    '("pdfsidelinecomment" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-lengths
    "ct"))
 :latex)

