(TeX-add-style-hook
 "cweb"
 (lambda ()
   (TeX-run-style-hooks
    "cwebbase"
    "keyvald")
   (TeX-add-symbols
    "enddocument"
    '("ProcessKeyValOptions" 1)
    "CatEscape"
    "CatOpen"
    "CatClose"
    "CatIgnore"
    "CatLetter"
    "CatOther"
    "CatActive"
    "CatUsCode"
    "CwebTocIndent"
    "CwebTocIndentMaxLevel"
    "RCSClass"
    "date"
    "id"
    "ProcessKeyValOptionsHook"
    "CwebBaseClass"
    "subsection"
    "subsubsection"
    "paragraph"
    "subparagraph"
    "numberline"
    "cwbbRank"
    "ch"
    "inx"
    "fin"
    "end"
    "CwebListSectionDiv"
    "CwebListSection"
    "CwebCRChanged"
    "CwebChangedListName"
    "CwebCRSize"
    "CwebIdIndex"
    "CwebReadIndex"
    "CwebIndexEntry"
    "CwebIndexDeclared"
    "CwebRefListName"
    "CwebRefList"
    "I"
    "CwebCrossRef"
    "Q"
    "Qs"
    "U"
    "Us"
    "CwebReadPPList"
    "CwebXRCite"
    "CwebXRCites"
    "CwebXRUse"
    "CwebXRUses")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)))
 :latex)

