(TeX-add-style-hook
 "datetime2"
 (lambda ()
   (TeX-run-style-hooks
    "tracklang"
    "etoolbox"
    "xkeyval"
    "datetime2-calc")
   (TeX-add-symbols
    '("DTMsetregional" ["argument"] 0)
    '("DTMsetbool" 3)
    '("DTMifbool" 4)
    '("DTMdefboolkey" 1)
    '("DTMdefchoicekey" 1)
    '("DTMdefkey" 1)
    '("DTMusemodule" 2)
    '("ProvidesDateTimeModule" 1)
    '("DTMdialecttomodulemap" 1)
    '("RequireDateTimeModule" 1)
    '("DTMifsaveddate" 3)
    '("DTMUse" 1)
    '("DTMuse" 1)
    '("DTMusezone" 1)
    '("DTMusetime" 1)
    '("DTMUsedate" 1)
    '("DTMusedate" 1)
    '("DTMfetchTZminute" 1)
    '("DTMfetchTZhour" 1)
    '("DTMfetchsecond" 1)
    '("DTMfetchminute" 1)
    '("DTMfetchhour" 1)
    '("DTMfetchdow" 1)
    '("DTMfetchday" 1)
    '("DTMfetchmonth" 1)
    '("DTMfetchyear" 1)
    '("DTMprovidestyle" 5)
    '("DTMrenewstyle" 5)
    '("DTMnewstyle" 5)
    '("DTMifhaszonestyle" 3)
    '("DTMifhastimestyle" 3)
    '("DTMifhasdatestyle" 3)
    '("DTMifhasstyle" 3)
    '("DTMshowmap" 2)
    '("DTMclearmap" 2)
    '("DTMhaszonemap" 4)
    '("DTMusezonemap" 2)
    '("DTMusezonemapordefault" 2)
    '("DTMdefzonemap" 3)
    '("DTMprovidezonestyle" 2)
    '("DTMrenewzonestyle" 2)
    '("DTMnewzonestyle" 2)
    '("DTMprovidetimestyle" 2)
    '("DTMrenewtimestyle" 2)
    '("DTMnewtimestyle" 2)
    '("DTMprovidedatestyle" 2)
    '("DTMrenewdatestyle" 2)
    '("DTMnewdatestyle" 2)
    '("DTMsep" 1)
    '("DTMtexorpdfstring" 2)
    '("DTMdivhundred" 1)
    '("DTMcentury" 1)
    '("DTMtwodigits" 1)
    '("DTMdisplay" 9)
    '("DTMdisplayzone" 2)
    '("DTMdisplaytime" 3)
    '("DTMdisplaydate" 4)
    '("DTMsetcurrentzone" 2)
    '("DTMsavefrompdfdata" 2)
    '("DTMsavefilemoddate" 2)
    '("DTMsetup" 1)
    '("DTMifcaseregional" 3)
    "dtm"
    "DTMtoday"
    "DTMToday"
    "DTMDisplaydate"
    "DTMcurrenttime"
    "DTMcurrentzone"
    "DTMnow"
    "DTMNow"
    "DTMDisplay"
    "DTMresetzones"
    "DTMNatoZoneMaps"
    "DTMtryregional"
    "s"
    "DTMlangsetup"
    "today"
    "Today"
    "CurrentTrackedDialect")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)))
 :latex)

