(TeX-add-style-hook
 "exam"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "ifthen"
    "article"
    "art10"
    "color")
   (TeX-add-symbols
    "endgradingrange"
    '("fillin" ["argument"] 0)
    '("answerline" ["argument"] 0)
    '("SolutionEmphasis" 1)
    '("numqinrange" 1)
    '("lastqinrange" 1)
    '("firstqinrange" 1)
    '("settabletotalbonuspoints" 1)
    '("settabletotalpoints" 1)
    '("makeemptybox" 1)
    '("checkedchar" 1)
    '("checkboxchar" 1)
    '("CorrectChoiceEmphasis" 1)
    '("bonuspointpoints" 2)
    '("pointpoints" 2)
    "adj"
    "extraheadheight"
    "extrafootheight"
    "coverextraheadheight"
    "coverextrafootheight"
    "cover"
    "run"
    "cov"
    "covrun"
    "CheckIfChanged"
    "find"
    "new"
    "horiz"
    "slanted"
    "useslantedhalf"
    "usehorizontalhalf"
    "set"
    "copy"
    "addto"
    "add"
    "prtaux"
    "prt"
    "noqformat"
    "nobonusqformat"
    "thepoints"
    "themarginpoints"
    "first"
    "addquestionobject"
    "questionobject"
    "doqobj"
    "questionshook"
    "partshook"
    "subpartshook"
    "subsubpartshook"
    "choiceshook"
    "checkboxeshook"
    "questionlabel"
    "partlabel"
    "subpartlabel"
    "subsubpartlabel"
    "point"
    "bonuspoint"
    "points"
    "bonuspoints"
    "marksnotpoints"
    "choicelabel"
    "fillin"
    "linefill"
    "colorgrids"
    "nocolorgrids"
    "solutiontitle"
    "FrameRule"
    "FrameSep"
    "FrameHeightAdjust"
    "addpoints"
    "noaddpoints"
    "extrawidth"
    "firstpageheader"
    "runningheader"
    "header"
    "firstpagefooter"
    "runningfooter"
    "footer"
    "lhead"
    "chead"
    "rhead"
    "lfoot"
    "cfoot"
    "rfoot"
    "coverfirstpageheader"
    "coverrunningheader"
    "coverheader"
    "coverfirstpagefooter"
    "coverrunningfooter"
    "coverfooter"
    "coverlhead"
    "coverchead"
    "coverrhead"
    "coverlfoot"
    "covercfoot"
    "coverrfoot"
    "firstpageheadrule"
    "nofirstpageheadrule"
    "runningheadrule"
    "norunningheadrule"
    "headrule"
    "noheadrule"
    "firstpagefootrule"
    "nofirstpagefootrule"
    "runningfootrule"
    "norunningfootrule"
    "footrule"
    "nofootrule"
    "coverfirstpageheadrule"
    "nocoverfirstpageheadrule"
    "coverrunningheadrule"
    "nocoverrunningheadrule"
    "coverheadrule"
    "nocoverheadrule"
    "coverfirstpagefootrule"
    "nocoverfirstpagefootrule"
    "coverrunningfootrule"
    "nocoverrunningfootrule"
    "coverfootrule"
    "nocoverfootrule"
    "numpages"
    "numcoverpages"
    "totalnumpages"
    "numpoints"
    "numbonuspoints"
    "numquestions"
    "numparts"
    "numsubparts"
    "numsubsubparts"
    "pointsofquestion"
    "bonuspointsofquestion"
    "pointsonpage"
    "bonuspointsonpage"
    "iflastpage"
    "oddeven"
    "PgInfo"
    "ifcontinuation"
    "nomorequestions"
    "noquestionsonthispage"
    "ContinuedQuestion"
    "IncompleteQuestion"
    "ifincomplete"
    "greeknum"
    "qformat"
    "bonusqformat"
    "titledquestion"
    "bonustitledquestion"
    "question"
    "bonusquestion"
    "thequestiontitle"
    "subpart"
    "bonussubpart"
    "subsubpart"
    "bonussubsubpart"
    "part"
    "bonuspart"
    "thepartno"
    "thesubpart"
    "thesubsubpart"
    "droppoints"
    "droptotalpoints"
    "droptotalbonuspoints"
    "totalformat"
    "bonustotalformat"
    "totalpoints"
    "totalbonuspoints"
    "pointsinleftmargin"
    "pointsinrightmargin"
    "nopointsinmargin"
    "pointsdroppedatright"
    "pointsinmargin"
    "nopointsinrightmargin"
    "nopointsinleftmargin"
    "boxedpoints"
    "noboxedpoints"
    "bracketedpoints"
    "nobracketedpoints"
    "pointformat"
    "bonuspointformat"
    "thebonuspoints"
    "pointname"
    "bonuspointname"
    "half"
    "marginpointname"
    "marginbonuspointname"
    "correctchoiceemphasis"
    "makelabel"
    "choice"
    "CorrectChoice"
    "correctchoice"
    "fillwithlines"
    "fillwithdottedlines"
    "fillwithgrid"
    "uplevel"
    "fullwidth"
    "cellwidth"
    "gradetablestretch"
    "hqword"
    "hpword"
    "hsword"
    "htword"
    "hpgword"
    "vqword"
    "vpword"
    "vsword"
    "vtword"
    "vpgword"
    "bhqword"
    "bhpword"
    "bhsword"
    "bhtword"
    "bhpgword"
    "bvqword"
    "bvpword"
    "bvsword"
    "bvtword"
    "bvpgword"
    "chqword"
    "chpword"
    "chbpword"
    "chsword"
    "chtword"
    "chpgword"
    "cvqword"
    "cvpword"
    "cvbpword"
    "cvsword"
    "cvtword"
    "cvpgword"
    "begingradingrange"
    "partialgradetable"
    "partialbonusgradetable"
    "partialcombinedgradetable"
    "partialpointtable"
    "partialbonuspointtable"
    "partialcombinedpointtable"
    "gradetable"
    "bonusgradetable"
    "combinedgradetable"
    "pointtable"
    "bonuspointtable"
    "combinedpointtable"
    "pointsinrange"
    "bonuspointsinrange"
    "printanswers"
    "noprintanswers"
    "cancelspace"
    "nocancelspace"
    "framedsolutions"
    "shadedsolutions"
    "unframedsolutions"
    "FrameCommand"
    "width"
    "height"
    "FrameRestore")
   (LaTeX-add-environments
    "MakeFramed"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("solutionbox" 1)
    "coverpages"
    "questions"
    "parts"
    "subparts"
    "subsubparts"
    "choices"
    "oneparchoices"
    "checkboxes"
    "oneparcheckboxes"
    "EnvUplevel"
    "EnvFullwidth"
    "TheSolution"
    "framed"
    "shaded"
    "leftbar")
   (LaTeX-add-pagestyles
    "head"
    "headandfoot"
    "foot"
    "empty")
   (LaTeX-add-counters
    "question"
    "partno"
    "subpart"
    "subsubpart"
    "choice"
    "numquestions"
    "numparts"
    "numsubparts"
    "numsubsubparts")
   (LaTeX-add-lengths
    "run"
    "fp"
    "covrun"
    "covfp"
    "marginpointssep"
    "rightpointsmargin"
    "answerlinelength"
    "answerskip"
    "answerclearance"
    "fillinlinelength"
    "linefillheight"
    "linefillthickness"
    "dottedlinefillheight"
    "gridsize"
    "gridlinewidth"
    "minboxheight"))
 :latex)

