(TeX-add-style-hook
 "flowfram"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen"
    "xkeyval"
    "graphics"
    "afterpage"
    "xfor"
    "etoolbox"
    "color")
   (TeX-add-symbols
    '("enableminitoc" ["argument"] 0)
    '("makethumbtabs" ["argument"] 1)
    '("makebackgroundframe" ["argument"] 0)
    '("hNtoneright" ["argument"] 0)
    '("hNtoneleft" ["argument"] 0)
    '("hNtone" ["argument"] 0)
    '("htwotoneright" ["argument"] 0)
    '("htwotoneleft" ["argument"] 0)
    '("htwotone" ["argument"] 0)
    '("vNtonetop" ["argument"] 0)
    '("vNtonebottom" ["argument"] 0)
    '("vNtone" ["argument"] 0)
    '("vtwotonetop" ["argument"] 0)
    '("vtwotonebottom" ["argument"] 0)
    '("vtwotone" ["argument"] 0)
    '("NcolumnDbottominarea" ["argument"] 0)
    '("NcolumnSbottominarea" ["argument"] 0)
    '("Ncolumnbottominarea" ["argument"] 7)
    '("NcolumnDbottom" ["argument"] 2)
    '("NcolumnSbottom" ["argument"] 2)
    '("Ncolumnbottom" ["argument"] 3)
    '("twocolumnDbottominarea" ["argument"] 5)
    '("twocolumnSbottominarea" ["argument"] 5)
    '("twocolumnbottominarea" ["argument"] 6)
    '("twocolumnDbottom" ["argument"] 1)
    '("twocolumnSbottom" ["argument"] 1)
    '("twocolumnbottom" ["argument"] 2)
    '("onecolumnDbottominarea" ["argument"] 5)
    '("onecolumnSbottominarea" ["argument"] 5)
    '("onecolumnbottominarea" ["argument"] 6)
    '("onecolumnDbottom" ["argument"] 1)
    '("onecolumnSbottom" ["argument"] 1)
    '("onecolumnbottom" ["argument"] 2)
    '("NcolumnDtopinarea" ["argument"] 6)
    '("NcolumnStopinarea" ["argument"] 6)
    '("Ncolumntopinarea" ["argument"] 7)
    '("NcolumnDtop" ["argument"] 2)
    '("NcolumnStop" ["argument"] 2)
    '("Ncolumntop" ["argument"] 3)
    '("twocolumnDtopinarea" ["argument"] 5)
    '("twocolumnStopinarea" ["argument"] 5)
    '("twocolumnDtop" ["argument"] 1)
    '("twocolumnStop" ["argument"] 1)
    '("twocolumntop" ["argument"] 2)
    '("onecolumnDtopinarea" ["argument"] 5)
    '("onecolumnStopinarea" ["argument"] 5)
    '("onecolumntopinarea" ["argument"] 6)
    '("newframe" ["argument"] 5)
    '("onecolumnDtop" ["argument"] 1)
    '("onecolumnStop" ["argument"] 1)
    '("onecolumntop" ["argument"] 2)
    '("Ncolumninarea" ["argument"] 5)
    '("Ncolumn" ["argument"] 1)
    '("emulateonecolumn" ["argument"] 0)
    '("emulatetwocolumn" ["argument"] 0)
    '("framebreak" ["argument"] 0)
    '("minitocstyle" 1)
    '("dominitoc" 1)
    '("setthumbtabindex" 2)
    '("setthumbtab" 2)
    '("thumbtabformat" 2)
    '("thumbtabindexformat" 3)
    '("thumbtab" 4)
    '("DFschapterstyle" 1)
    '("DFchapterstyle" 1)
    '("ffhrule" 3)
    '("ffvrule" 3)
    '("adjustheight" 1)
    '("ffaddtoadjustframeshook" 1)
    '("setinitialframe" 1)
    '("computerightedgeeven" 1)
    '("computerightedgeodd" 1)
    '("computebottomedge" 1)
    '("computetopedge" 1)
    '("computeleftedgeeven" 1)
    '("computeleftedgeodd" 1)
    '("ffcontinuedtextfont" 1)
    '("ffcontinuedtextlayout" 1)
    '("dynamicaddexclusion" 2)
    '("dynamicsetexclusion" 2)
    '("dynamicsetpagelist" 2)
    '("setalldynamicframes" 1)
    '("dynamicframeeveny" 1)
    '("dynamicframeevenx" 1)
    '("dynamicframey" 1)
    '("dynamicframex" 1)
    '("getdynamicid" 2)
    '("getdynamiclabel" 1)
    '("staticaddexclusion" 2)
    '("staticsetexclusion" 2)
    '("staticsetpagelist" 2)
    '("setallstaticframes" 1)
    '("staticframeeveny" 1)
    '("staticframeevenx" 1)
    '("staticframey" 1)
    '("staticframex" 1)
    '("getstaticid" 2)
    '("getstaticlabel" 1)
    '("flowframeheight" 1)
    '("flowframewidth" 1)
    '("flowframeeveny" 1)
    '("flowframeevenx" 1)
    '("flowframey" 1)
    '("flowframex" 1)
    '("flowaddexclusion" 2)
    '("flowsetexclusion" 2)
    '("flowsetpagelist" 2)
    '("setallflowframes" 1)
    '("getflowid" 2)
    '("getflowlabel" 1)
    '("labelflow" 1)
    '("labelflowidn" 1)
    '("rotateframe" 2)
    "setffdraftcolor"
    "setffdrafttypeblockcolor"
    "fflabelfont"
    "flf"
    "chapterfirstpagestyle"
    "ffprechapterhook"
    "flowframeshowlayout"
    "finishthispage"
    "globalreversemargin"
    "globalnormalmargin"
    "setmargin"
    "newflowframe"
    "setflowframe"
    "ffswapoddeven"
    "newstaticframe"
    "setstaticframe"
    "simpar"
    "ffpshpar"
    "setstaticcontents"
    "sfswapoddeven"
    "newdynamicframe"
    "setdynamicframe"
    "dfswapoddeven"
    "setdynamiccontents"
    "appenddynamiccontents"
    "computeflowframearea"
    "getstaticbounds"
    "getstaticevenbounds"
    "getflowbounds"
    "getflowevenbounds"
    "getdynamicbounds"
    "getdynamicevenbounds"
    "checkifframeabove"
    "oddcheckifframeabove"
    "checkifframebelow"
    "oddcheckifframebelow"
    "checkifframeleft"
    "oddcheckifframeleft"
    "checkifframeright"
    "oddcheckifframeright"
    "evencheckifframeabove"
    "evencheckifframebelow"
    "evencheckifframeleft"
    "evencheckifframeright"
    "FFaboveleft"
    "FFaboveright"
    "FFbelowleft"
    "FFbelowright"
    "FFleft"
    "FFright"
    "FFabove"
    "FFbelow"
    "FFoverlap"
    "relativeframelocation"
    "reldynamicloc"
    "relstaticloc"
    "relflowloc"
    "setframes"
    "makedfheaderfooter"
    "footnotecolor"
    "flowswitchonnext"
    "flowswitchonnextodd"
    "flowswitchoffnext"
    "flowswitchoffnextodd"
    "flowswitchonnextonly"
    "flowswitchonnextoddonly"
    "flowswitchoffnextonly"
    "flowswitchoffnextoddonly"
    "dynamicswitchonnext"
    "dynamicswitchonnextodd"
    "dynamicswitchoffnext"
    "dynamicswitchoffnextodd"
    "dynamicswitchonnextonly"
    "dynamicswitchonnextoddonly"
    "dynamicswitchoffnextonly"
    "dynamicswitchoffnextoddonly"
    "staticswitchonnext"
    "staticswitchonnextodd"
    "staticswitchoffnext"
    "staticswitchoffnextodd"
    "staticswitchonnextonly"
    "staticswitchonnextoddonly"
    "staticswitchoffnextonly"
    "staticswitchoffnextoddonly"
    "onecolumninarea"
    "twocolumninarea"
    "twocolumntopinarea"
    "adjustcolsep"
    "ffruledeclarations"
    "insertvrule"
    "inserthrule"
    "dfchaphead"
    "defaultthumbtabtype"
    "enablethumbtabs"
    "disablethumbtabs"
    "thumbtabindex"
    "tocandthumbtabindex"
    "appenddfminitoc"
    "flowframetextcol"
    "flowframecol"
    "theHthisframe"
    "theHdisplayedframe"
    "cleardoublepage"
    "FLForgpar"
    "section"
    "subsection"
    "subsubsection"
    "paragraph"
    "subparagraph"
    "continueonframe"
    "noexpand"
    "protect"
    "label"
    "index"
    "glossary"
    "firstmark"
    "oldpar")
   (LaTeX-add-labels
    "#1")
   (LaTeX-add-environments
    "xdynamiccontents"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("dynamiccontents" 1)
    '("staticcontents" 1)
    "staticcontents"
    "dynamiccontents"
    "statictable"
    "staticfigure")
   (LaTeX-add-counters
    "absolutepage"
    "maxflow"
    "thisframe"
    "displayedframe"
    "maxstatic"
    "maxdynamic"
    "maxthumbtabs"
    "minitoc")
   (LaTeX-add-lengths
    "fflabelsep"
    "sdfparindent"
    "flowframesep"
    "flowframerule"
    "csname"
    "ffareawidth"
    "ffareaheight"
    "ffareax"
    "ffareay"
    "ffareaevenx"
    "ffareaeveny"
    "fftolerance"
    "ffevenoffset"
    "columnheight"
    "vcolumnsep"
    "ffcolumnseprule"
    "thumbtabwidth"
    "beforeminitocskip"
    "afterminitocskip"))
 :latex)

