(TeX-add-style-hook
 "frege"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("bguq" "5")))
   (TeX-run-style-hooks
    "amssymb"
    "ifthen"
    "bguq")
   (TeX-add-symbols
    '("Fannquantnn" ["argument"] 1)
    '("Fannquantn" ["argument"] 1)
    '("Fanquantnn" ["argument"] 1)
    '("Fanquantn" ["argument"] 1)
    '("Faquantnn" ["argument"] 1)
    '("Faquantn" ["argument"] 1)
    '("Fannquant" ["argument"] 1)
    '("Fanquant" ["argument"] 1)
    '("Faquant" ["argument"] 1)
    '("Fnnquantnn" ["argument"] 1)
    '("Fnnquantn" ["argument"] 1)
    '("Fnquantnn" ["argument"] 1)
    '("Fnquantn" ["argument"] 1)
    '("Fquantnn" ["argument"] 1)
    '("Fquantn" ["argument"] 1)
    '("Fnnquant" ["argument"] 1)
    '("Fnquant" ["argument"] 1)
    '("Fquant" ["argument"] 1)
    '("Fanncontent" ["argument"] 0)
    '("Fancontent" ["argument"] 0)
    '("Facontent" ["argument"] 0)
    '("Fnncontent" ["argument"] 0)
    '("Fncontent" ["argument"] 0)
    '("Fcontent" ["argument"] 0)
    '("Fstrut" ["argument"] 0)
    '("Fargument" ["argument"] 3)
    '("Fconditional" ["argument"] 2)
    '("Fannqnn" ["argument"] 0)
    '("Fanqnn" ["argument"] 0)
    '("Fannqn" ["argument"] 0)
    '("Fanqn" ["argument"] 0)
    '("Faqnn" ["argument"] 0)
    '("Faqn" ["argument"] 0)
    '("Fannq" ["argument"] 0)
    '("Fanq" ["argument"] 0)
    '("Faq" ["argument"] 0)
    '("Fnnqnn" ["argument"] 0)
    '("Fnqnn" ["argument"] 0)
    '("Fnnqn" ["argument"] 0)
    '("Fnqn" ["argument"] 0)
    '("Fqnn" ["argument"] 0)
    '("Fqn" ["argument"] 0)
    '("Fnnq" ["argument"] 0)
    '("Fnq" ["argument"] 0)
    '("Fq" ["argument"] 0)
    '("Fann" ["argument"] 0)
    '("Fan" ["argument"] 0)
    '("Fa" ["argument"] 0)
    '("Fnn" ["argument"] 0)
    '("Fn" ["argument"] 0)
    '("F" ["argument"] 0)
    '("Fs" ["argument"] 0)
    '("Farg" ["argument"] 3)
    '("Fcdt" ["argument"] 2)
    '("Fbracket" 1)
    '("Fbox" 1)
    '("Fbb" 1)
    '("Fb" 1))
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-lengths
    "temp"
    "tempp"
    "Fbaselength"
    "Funitlength"
    "Flinewidth"
    "Fspace"
    "Fassertwidth"
    "Fraiseheight"
    "Fnegsep"
    "Fnegshort"
    "Fquantwidth"
    "Fantecedentheight"
    "Fconsequentdepth"
    "Fantecedentwidth"
    "Fconsequentwidth"
    "Fblockwidth"
    "Fpremiselength"
    "Fthereforelength"
    "Fbguqwidth")
   (LaTeX-add-saveboxes
    "Fantecedent"
    "Fconsequent"))
 :latex)

