(TeX-add-style-hook
 "glossaries-extra"
 (lambda ()
   (TeX-run-style-hooks
    "xkeyval"
    "etoolbox"
    "glossaries-accsupp"
    "glossaries-extra-stylemods"
    "glossaries")
   (TeX-add-symbols
    '("setabbreviationstyle" ["argument"] 1)
    '("newabbreviation" ["argument"] 3)
    '("glsxtrnewnumber" ["argument"] 2)
    '("glsxtrnewsymbol" ["argument"] 2)
    '("glsforeachwithattribute" ["argument"] 5)
    '("glsforeachincategory" ["argument"] 4)
    '("GlsXtrLoadResources" ["argument"] 0)
    '("glsxtrresourcefile" ["argument"] 1)
    '("Glsxtrpl" ["argument"] 0)
    '("glsxtrpl" ["argument"] 0)
    '("Glsxtr" ["argument"] 0)
    '("glsxtr" ["argument"] 0)
    '("preglossarypreamble" ["argument"] 1)
    '("apptoglossarypreamble" ["argument"] 1)
    '("printabbreviations" ["argument"] 0)
    '("ProvidesGlossariesExtraLang" 1)
    '("RequireGlossariesExtraLang" 1)
    '("Glsfmtfullpl" 1)
    '("glsfmtfullpl" 1)
    '("Glsfmtfull" 1)
    '("glsfmtfull" 1)
    '("Glsfmtlongpl" 1)
    '("glsfmtlongpl" 1)
    '("Glsfmtlong" 1)
    '("glsfmtlong" 1)
    '("Glsfmtfirstpl" 1)
    '("glsfmtfirstpl" 1)
    '("Glsfmtfirst" 1)
    '("glsfmtfirst" 1)
    '("Glsfmtplural" 1)
    '("glsfmtplural" 1)
    '("Glsfmttext" 1)
    '("glsfmttext" 1)
    '("Glsfmtshortpl" 1)
    '("Glsfmtshort" 1)
    '("glsfmtshortpl" 1)
    '("glsfmtshort" 1)
    '("Glsxtrheadfullpl" 1)
    '("Glsxtrheadfull" 1)
    '("glsxtrheadfullpl" 1)
    '("glsxtrheadfull" 1)
    '("Glsxtrheadlongpl" 1)
    '("Glsxtrheadlong" 1)
    '("glsxtrheadlongpl" 1)
    '("glsxtrheadlong" 1)
    '("Glsxtrheadfirstplural" 1)
    '("glsxtrheadfirstplural" 1)
    '("Glsxtrheadfirst" 1)
    '("glsxtrheadfirst" 1)
    '("Glsxtrheadplural" 1)
    '("glsxtrheadplural" 1)
    '("Glsxtrheadtext" 1)
    '("glsxtrheadtext" 1)
    '("Glsxtrheadshortpl" 1)
    '("Glsxtrheadshort" 1)
    '("glsxtrheadshortpl" 1)
    '("glsxtrheadshort" 1)
    '("glsxtrifinmark" 2)
    '("glsfirstlonguserfont" 1)
    '("glslonguserfont" 1)
    '("glsfirstabbrvuserfont" 1)
    '("glsabbrvuserfont" 1)
    '("glsxtruserparen" 2)
    '("glslongemfont" 1)
    '("glsfirstlongemfont" 1)
    '("glsfirstabbrvemfont" 1)
    '("glsabbrvemfont" 1)
    '("glsxtrfirstsmfont" 1)
    '("glsxtrsmfont" 1)
    '("glsxtrfirstscfont" 1)
    '("glsxtrscfont" 1)
    '("glsxtrabbrvfootnote" 2)
    '("glslongfootnotefont" 1)
    '("glsfirstlongfootnotefont" 1)
    '("GlsXtrUseAbbrStyleFmts" 1)
    '("GlsXtrUseAbbrStyleSetup" 1)
    '("GlsXtrWarnDeprecatedAbbrStyle" 2)
    '("letabbreviationstyle" 2)
    '("renewabbreviationstyle" 3)
    '("newabbreviationstyle" 3)
    '("glssetabbrvfmt" 1)
    '("glsfirstlongdefaultfont" 1)
    '("glsfirstlongfont" 1)
    '("glslongdefaultfont" 1)
    '("glslongfont" 1)
    '("glsabbrvdefaultfont" 1)
    '("glsabbrvfont" 1)
    '("glsfirstabbrvdefaultfont" 1)
    '("glsfirstabbrvfont" 1)
    '("glsxtrfullsep" 1)
    '("Glsxtrfullplformat" 2)
    '("glsxtrfullplformat" 2)
    '("Glsxtrfullformat" 2)
    '("glsxtrfullformat" 2)
    '("glsxtrnewabbrevpresetkeyhook" 3)
    '("glsxtrdopostpunc" 1)
    '("glsxtrifnextpunc" 2)
    '("glsxtrsetpunctuationmarks" 1)
    '("glsxtraddpunctuationmark" 1)
    '("glsxtrifperiod" 1)
    '("glsxtrdiscardperiod" 3)
    '("glsxtrtagfont" 1)
    '("GlsXtrSetEscChar" 1)
    '("GlsXtrSetLevelChar" 1)
    '("GlsXtrSetEncapChar" 1)
    '("GlsXtrSetActualChar" 1)
    '("glsxtrdoautoindexname" 2)
    '("glsxtrpostnamehook" 1)
    '("glsxtrfieldtitlecasecs" 1)
    '("glsxtrfieldtitlecase" 2)
    '("glsxtrsetcategoryforall" 2)
    '("glsxtrsetcategory" 2)
    '("glsifnotregular" 3)
    '("glsifregular" 3)
    '("glsifnotregularcategory" 3)
    '("glsifregularcategory" 3)
    '("glssetregularcategory" 1)
    '("glsifattribute" 5)
    '("glsifcategoryattribute" 5)
    '("glshasattribute" 4)
    '("glsgetattribute" 2)
    '("glssetattribute" 3)
    '("glshascategoryattribute" 4)
    '("glsgetcategoryattribute" 2)
    '("glssetcategoryattribute" 3)
    '("glsifcategory" 4)
    '("GLSaccesslongpl" 1)
    '("Glsaccesslongpl" 1)
    '("glsaccesslongpl" 1)
    '("GLSaccesslong" 1)
    '("Glsaccesslong" 1)
    '("glsaccesslong" 1)
    '("GLSaccessshortpl" 1)
    '("Glsaccessshortpl" 1)
    '("glsaccessshortpl" 1)
    '("GLSaccessshort" 1)
    '("Glsaccessshort" 1)
    '("glsaccessshort" 1)
    '("GLSaccessdescplural" 1)
    '("Glsaccessdescplural" 1)
    '("glsaccessdescplural" 1)
    '("GLSaccessdesc" 1)
    '("Glsaccessdesc" 1)
    '("glsaccessdesc" 1)
    '("GLSaccesssymbolplural" 1)
    '("Glsaccesssymbolplural" 1)
    '("glsaccesssymbolplural" 1)
    '("GLSaccesssymbol" 1)
    '("Glsaccesssymbol" 1)
    '("glsaccesssymbol" 1)
    '("GLSaccessfirstplural" 1)
    '("Glsaccessfirstplural" 1)
    '("glsaccessfirstplural" 1)
    '("GLSaccessfirst" 1)
    '("Glsaccessfirst" 1)
    '("glsaccessfirst" 1)
    '("GLSaccessplural" 1)
    '("Glsaccessplural" 1)
    '("glsaccessplural" 1)
    '("GLSaccesstext" 1)
    '("Glsaccesstext" 1)
    '("glsaccesstext" 1)
    '("GLSaccessname" 1)
    '("Glsaccessname" 1)
    '("glsaccessname" 1)
    '("printunsrtglossaryunitsetup" 1)
    '("printunsrtglossaryhandler" 1)
    '("GlsXtrRecordCounter" 1)
    '("GlsXtrNoGlsWarningNoOut" 1)
    '("GlsXtrNoGlsWarningAutoMake" 1)
    '("GlsXtrNoGlsWarningCheckFile" 1)
    '("GlsXtrNoGlsWarningEmptyNotMain" 1)
    '("GlsXtrNoGlsWarningHead" 2)
    '("glsxtrsupphypernumber" 1)
    '("glsxtrlocationhyperlink" 3)
    '("glsxtrdisplayendlochook" 2)
    '("glsxtrdisplayendloc" 2)
    '("glsxtrdisplaystartloc" 2)
    '("glsxtrdisplaysingleloc" 2)
    '("glsxtrsetgrouptitle" 2)
    '("GlsXtrEnableEntryUnitCounting" 3)
    '("glsentryprevmaxcount" 1)
    '("glsentryprevtotalcount" 1)
    '("cGLSplformat" 2)
    '("cGLSformat" 2)
    '("glsxtrifcounttrigger" 3)
    '("glsentryprevcount" 1)
    '("glsentrycurrcount" 1)
    '("GlsXtrEnableEntryCounting" 2)
    '("glsxtrpostlocalreset" 1)
    '("glsxtrpostreset" 1)
    '("glsxtrpostlocalunset" 1)
    '("glsxtrpostunset" 1)
    '("GLSxtrp" 2)
    '("Glsxtrp" 2)
    '("glsxtrp" 2)
    '("glsxtrsetpopts" 1)
    '("GlsXtrSetAltModifier" 2)
    '("glsxtrdowrglossaryhook" 1)
    '("glsxtrifindexing" 2)
    '("GlsXtrSetDefaultGlsOpts" 1)
    '("glsxtrchecknohyperfirst" 1)
    '("glsxtrassignfieldfont" 1)
    '("glsxtrregularfont" 1)
    '("GlsXtrEnablePreLocationTag" 2)
    '("GlsXtrFormatLocationList" 1)
    '("GlsXtrWarning" 2)
    '("glsxtrunusedformat" 1)
    '("glsxtruseseeformat" 2)
    '("glsxtrusesee" 1)
    '("doifglossarynoexistsordo" 3)
    '("glsdoifexistsordo" 3)
    '("glsxtrcopytoglossary" 2)
    '("glsxtrpageref" 1)
    '("glsxtrsetfieldifexists" 3)
    '("glsxtredeffield" 2)
    '("glsxtrdeffield" 2)
    '("Glsxtrusefield" 2)
    '("glsxtrusefield" 2)
    '("glsxtrfieldxifinlist" 5)
    '("glsxtrfieldifinlist" 5)
    '("glsxtrfieldforlistloop" 3)
    '("glsxtrfielddolistloop" 2)
    '("glsxtrfieldlistxadd" 3)
    '("glsxtrfieldlisteadd" 3)
    '("glsxtrfieldlistgadd" 3)
    '("glsxtrfieldlistadd" 3)
    '("glsxtrentryfmt" 2)
    '("glsxtrifkeydefined" 3)
    '("glsxtrifemptyglossary" 3)
    '("glossariesextrasetup" 1)
    '("glsxtrNoGlossaryWarning" 1)
    '("GlossariesExtraWarningNoLine" 1)
    '("GlossariesExtraWarning" 1)
    '("glsxtrundefaction" 2)
    "glsxtr"
    "glsxtrundeftag"
    "if"
    "glsxtrabbrvtype"
    "abbreviationsname"
    "ab"
    "abp"
    "as"
    "asp"
    "al"
    "alp"
    "af"
    "afp"
    "Ab"
    "Abp"
    "As"
    "Asp"
    "Al"
    "Alp"
    "Af"
    "Afp"
    "AB"
    "ABP"
    "AS"
    "ASP"
    "AL"
    "ALP"
    "AF"
    "AFP"
    "newabbr"
    "newentry"
    "newsym"
    "newnum"
    "glsxtrprovidestoragekey"
    "s"
    "GlsXtrFmtField"
    "GlsXtrFmtDefaultOptions"
    "glsxtrentryfmt"
    "glsxtrpostlongdescription"
    "provideignoredglossary"
    "glsxtraddallcrossrefs"
    "glsxtrstarflywarn"
    "glsxtrcat"
    "string"
    "glsxtrinitwrgloss"
    "glsxtrprotectlinks"
    "glossxtrsetpopts"
    "glsps"
    "glspt"
    "MakeAcronymsAbbreviations"
    "RestoreAcronyms"
    "glsacspacemax"
    "GlsXtrNoGlsWarningEmptyStart"
    "GlsXtrNoGlsWarningEmptyMain"
    "GlsXtrNoGlsWarningMisMatch"
    "GlsXtrNoGlsWarningBuildInfo"
    "GlsXtrNoGlsWarningTail"
    "glsxtrresourcecount"
    "printunsrtglossary"
    "printunsrtglossaries"
    "print"
    "glsxtrunsrtdo"
    "glsxtrpostdescindex"
    "glsxtrpostdescsymbol"
    "glsxtrpostdescnumber"
    "GlsXtrEnableIndexFormatOverride"
    "GlsXtrEnableInitialTagging"
    "mfu"
    "glsxtrpostdescription"
    "glsxtrpostdescgeneral"
    "glsxtrpostdescterm"
    "glsxtrpostdescacronym"
    "glsxtrpostdescabbreviation"
    "glsxtrpostlinkhook"
    "glsxtrpostlink"
    "glsxtrpostlinkendsentence"
    "glsxtrpostlinkAddDescOnFirstUse"
    "glsxtrpostlinkAddSymbolOnFirstUse"
    "GlsXtrPostNewAbbreviation"
    "newabbreviationhook"
    "CustomAbbreviationFields"
    "glsxtrinlinefullformat"
    "Glsxtrinlinefullformat"
    "glsxtrinlinefullplformat"
    "Glsxtrinlinefullplformat"
    "glsxtrabbrvpluralsuffix"
    "abbrvpluralsuffix"
    "ns"
    "glsxtrsetupfulldefs"
    "glsxtrgenabbrvfmt"
    "glsxtrlongshortdescsort"
    "glsxtrscsuffix"
    "glsxtrsmsuffix"
    "glsxtruserfield"
    "glsxtrusersuffix"
    "glsxtrRevertMarks"
    "glsxtrmarkhook"
    "glsxtrrestoremarkhook"
    "glsxtrsetaliasnoindex"
    "glsxtrundefaction"
    "printunsrtglossaryunit"
    "GlossariesExtraWarning"
    "GlossariesExtraWarningNoLine"
    "GlsXtrDefineAbbreviationShortcuts"
    "GlsXtrDefineOtherShortcuts"
    "newglossaryentry"
    "GlsXtrEnableOnTheFly"
    "delimN"
    "delimR"
    "glsignore"
    "theglsentrycounter"
    "theHglsentrycounter"
    "glsxtrindexaliased"
    "glslinkvar"
    "glsdonohyperlink"
    "glspostlinkhook"
    "GlsXtrEnableEntryCounting"
    "glsenableentrycount"
    "glsenableentryunitcount"
    "GlsXtrEnableEntryUnitCounting"
    "setacronymstyle"
    "newacronymstyle"
    "makeglossary"
    "glossarytitle"
    "glossarytoctitle"
    "currentglossary"
    "glsnonextpages"
    "glsnextpages"
    "nopostdesc"
    "glossaryentrynumbers"
    "glsnoidxdisplayloc"
    "glsseeformat"
    "glsxtrlocrangefmt"
    "glsxtrsupplocationurl"
    "glshypernumber"
    "GlsXtrWarnDeprecatedAbbrStyle"
    "glscategorylabel"
    "glsifplural"
    "glscapscase"
    "glsinsert"
    "glscustomtext"
    "glsxtrifwasfirstuse"
    "markright"
    "markboth"
    "glsxtrifinmark"
    "MakeUppercase"
    "glsxtrtitleshort"
    "glsxtrtitleshortpl"
    "Glsxtrtitleshort"
    "Glsxtrtitleshortpl"
    "glsxtrtitletext"
    "Glsxtrtitletext"
    "glsxtrtitleplural"
    "Glsxtrtitleplural"
    "glsxtrtitlefirst"
    "Glsxtrtitlefirst"
    "glsxtrtitlefirstplural"
    "Glsxtrtitlefirstplural"
    "glsxtrtitlelong"
    "glsxtrtitlelongpl"
    "Glsxtrtitlelong"
    "Glsxtrtitlelongpl"
    "glsxtrtitlefull"
    "glsxtrtitlefullpl"
    "Glsxtrtitlefull"
    "Glsxtrtitlefullpl")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)))
 :latex)

