(TeX-add-style-hook
 "hyperref"
 (lambda ()
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperref")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperimage")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperbaseurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "nolinkurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (TeX-run-style-hooks
    "pd1enc"
    "puenc"
    "psdextra"
    "puvnenc"
    "puarenc"
    "hobsub-hyperref"
    "ltxcmds"
    "ifpdf"
    "pdftexcmds"
    "infwarerr"
    "keyval"
    "kvsetkeys"
    "kvdefinekeys"
    "pdfescape"
    "ifvtex"
    "ifxetex"
    "hycolor"
    "letltxmacro"
    "auxhook"
    "kvoptions"
    "intcalc"
    "etexcmds"
    "memhfixc"
    "stringenc"
    "color"
    "nameref"
    "backref"
    "url"
    "bitset"
    "atbegshi")
   (TeX-add-symbols
    '("href" ["argument"] 0)
    '("pdfbookmark" ["argument"] 2)
    '("HyperDestRename" 2)
    '("XeTeXLinkBox" 1)
    "toclevel"
    "SpecialDvipdfmxOutlineOpen"
    "theHlstlisting"
    "theHlisting"
    "Hy"
    "hyper"
    "nolinkurl"
    "url"
    "hyperimage"
    "XeTeXLinkMargin"
    "XeTeXLink"
    "TextField"
    "ChoiceMenu"
    "CheckBox"
    "PushButton"
    "Gauge"
    "Submit"
    "Reset"
    "HyPL"
    "theHpart"
    "theHsection"
    "theHfigure"
    "theHtable"
    "theHchapter"
    "theHsubsection"
    "theHsubsubsection"
    "theHparagraph"
    "theHsubparagraph"
    "theHtheorem"
    "theHthm"
    "theHenumi"
    "theHenumii"
    "theHenumiii"
    "theHenumiv"
    "theHHfootnote"
    "theHmpfootnote"
    "theHsubequation"
    "HyNew"
    "ext"
    "theHslide"
    "theHslidesection"
    "theHslidesubsection"
    "listslidename"
    "Ref"
    "AMSautorefname"
    "Hfootnoteautorefname"
    "Itemautorefname"
    "AfterBeginDocument"
    "hypercalcbp"
    "hypercalcbpdef"
    "pdfstringdef"
    "ifpdfstringunicode"
    "P"
    "ldots"
    "dots"
    "TeX"
    "LaTeX"
    "LaTeXe"
    "eTeX"
    "SliTeX"
    "MF"
    "MP"
    "fontencoding"
    "fontfamily"
    "fontseries"
    "fontshape"
    "fontsize"
    "selectfont"
    "usefont"
    "emph"
    "textnormal"
    "textrm"
    "textsf"
    "texttt"
    "textbf"
    "textmd"
    "textit"
    "textsc"
    "textsl"
    "textup"
    "normalfont"
    "rmfamily"
    "sffamily"
    "ttfamily"
    "bfseries"
    "mdseries"
    "itshape"
    "scshape"
    "slshape"
    "upshape"
    "em"
    "rm"
    "Huge"
    "LARGE"
    "Large"
    "footnotesize"
    "huge"
    "large"
    "normalsize"
    "scriptsize"
    "small"
    "tiny"
    "mathversion"
    "phantom"
    "vphantom"
    "hphantom"
    "ding"
    "Cube"
    "begin"
    "end"
    "textcolor"
    "MakeUppercase"
    "MakeLowercase"
    "foreignlanguage"
    "cyr"
    "glqq"
    "grqq"
    "glq"
    "grq"
    "flqq"
    "frqq"
    "flq"
    "frq"
    "hspace"
    "index"
    "glossary"
    "href"
    "ref"
    "pageref"
    "nameref"
    "leavevmode"
    "mbox"
    "halign"
    "ignorespaces"
    "ensuremath"
    "xspace"
    "bgroup"
    "egroup"
    "discretionary"
    "def"
    "gdef"
    "edef"
    "xdef"
    "futurelet"
    "let"
    "b"
    "d"
    "texorpdfstring"
    "pdfstringdefPostHook"
    "pdfstringdefDisableCommands"
    "pdfstringdefWarn"
    "languageshorthands"
    "greeknumeral"
    "Greeknumeral"
    "CJKkern"
    "Unicode"
    "CJKnumber"
    "CJKdigits"
    "tocpart"
    "tocchapter"
    "tocappendix"
    "tocsection"
    "tocsubsection"
    "tocsubsubsection"
    "tocparagraph"
    "space"
    "unichar"
    "HyperRaiseLinkHook"
    "HyperRaiseLinkDefault"
    "HyperRaiseLinkLength"
    "IfHyperBooleanExists"
    "IfHyperBoolean"
    "z"
    "hypersetup"
    "BeforeTeXIVht"
    "equationautorefname"
    "footnoteautorefname"
    "itemautorefname"
    "figureautorefname"
    "tableautorefname"
    "partautorefname"
    "appendixautorefname"
    "chapterautorefname"
    "sectionautorefname"
    "subsectionautorefname"
    "subsubsectionautorefname"
    "paragraphautorefname"
    "subparagraphautorefname"
    "FancyVerbLineautorefname"
    "theoremautorefname"
    "pageautorefname"
    "hyperbaseurl"
    "hyperlinkfileprefix"
    "GenericInfo"
    "GenericWarning"
    "GenericError"
    "setpdflinkmargin"
    "ExecuteOptions"
    "Acrobatmenu"
    "texttilde"
    "autoref"
    "autopageref"
    "MaybeStopEarly"
    "ReadBookmarks"
    "WriteBookmarks"
    "textasciitilde"
    "hyperlink"
    "Hurl"
    "hypertarget"
    "hyperdef"
    "HyperDestNameFilter"
    "HyperDestLabelReplace"
    "HyperDestRename"
    "htmladdimg"
    "htmladdnormallink"
    "htmladdnormallinkfoot"
    "htmlref"
    "hhyperref"
    "MessageBreak"
    "LayoutTextField"
    "LayoutChoiceField"
    "LayoutCheckField"
    "LayoutPushButtonField"
    "MakeRadioField"
    "MakeCheckField"
    "MakeTextField"
    "MakeChoiceField"
    "MakeButtonField"
    "DefaultHeightofSubmit"
    "DefaultWidthofSubmit"
    "DefaultHeightofReset"
    "DefaultWidthofReset"
    "DefaultHeightofCheckBox"
    "DefaultWidthofCheckBox"
    "DefaultHeightofChoiceMenu"
    "DefaultWidthofChoiceMenu"
    "DefaultHeightofText"
    "DefaultHeightofTextMultiline"
    "DefaultWidthofText"
    "DefaultOptionsofSubmit"
    "DefaultOptionsofReset"
    "DefaultOptionsofPushButton"
    "DefaultOptionsofCheckBox"
    "DefaultOptionsofText"
    "DefaultOptionsofListBox"
    "DefaultOptionsofComboBox"
    "DefaultOptionsofPopdownBox"
    "DefaultOptionsofRadio"
    "string"
    "HyperFirstAtBeginDocument"
    "newlabel"
    "title"
    "author"
    "c"
    "newline"
    "pdfstringdefPreHook"
    "thispdfpagelabel"
    "arabic"
    "Roman"
    "roman"
    "Alph"
    "alph"
    "theHItem"
    "item"
    "theHHmpfootnote"
    "appendix"
    "textlatin"
    "HyperGlobalCurrentHref"
    "HyperLocalCurrentHref"
    "hypergetref"
    "hypergetpageref"
    "y"
    "x"
    "refstepcounter"
    "newname"
    "subequations"
    "theHequation"
    "thmheadnl"
    "footref"
    "maketitle"
    "realfootnote"
    "caption"
    "bibcite"
    "harvardcite"
    "harvarditem"
    "citeN"
    "shortciteN"
    "citeauthoryear"
    "addcontentsline"
    "label"
    "contentsline"
    "noexpand"
    "hyperindexformat"
    "protect"
    "nohyperpage"
    "hyperpage"
    "listofslides"
    "phantomsection")
   (LaTeX-add-environments
    "subeqnarray"
    "eqnarray"
    "equation"
    "NoHyper"
    "Form"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "Item"
    "Hfootnote"))
 :latex)

