(TeX-add-style-hook
 "letteracdp"
 (lambda ()
   (TeX-run-style-hooks
    "leqno"
    "fleqn"
    "eepic")
   (TeX-add-symbols
    '("encl" ["argument"] 0)
    '("makebottomdate" ["argument"] 0)
    '("foldingfilbreak" ["argument"] 0)
    '("foldingbreak" ["argument"] 0)
    '("makeandcclabel" ["argument"] 0)
    '("descriptionlabel" 1)
    '("mlabel" 2)
    '("basemlabel" 2)
    '("OpeningSequence" 1)
    '("telephone" 1)
    '("place" 1)
    "Coordinamento"
    "CoordinamentoWWW"
    "subjectnamegap"
    "closingindentation"
    "signaturealignment"
    "computelongindentation"
    "checkfoldedheight"
    "standardvertspaces"
    "automark"
    "usermark"
    "foldingtagrule"
    "name"
    "makelabels"
    "cleardoubleemptypage"
    "stopbreaks"
    "startbreaks"
    "makeandvspace"
    "ifemptyblock"
    "makesender"
    "makeaddressee"
    "x"
    "y"
    "makesubject"
    "iffoldedallowed"
    "makepresentation"
    "makenormalpresentation"
    "makefoldedpresentation"
    "makedate"
    "maketopdate"
    "makesignature"
    "signaturerule"
    "makeopening"
    "opening"
    "makeclosing"
    "closing"
    "ClosingSequence"
    "cc"
    "ps"
    "PS"
    "stopletter"
    "returnaddress"
    "skipemptylabels"
    "labeltab"
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "cal"
    "mit"
    "subjectname"
    "registeredname"
    "registeredRRname"
    "andccname"
    "ccname"
    "enclname"
    "PSname"
    "headtoname"
    "lettername"
    "today"
    "date"
    "thesendername"
    "thesendersignature"
    "thesenderaddress"
    "thesenderlocation"
    "thesenderphone"
    "protect"
    "theaddresseeaddress"
    "thesubject"
    "theaddresseename"
    "voidisOK"
    "andcc"
    "registered"
    "registeredRR"
    "presubject"
    "vspace"
    "and"
    "ChosenMakeOpening"
    "ChosenMakeClosing"
    "ChosenMakeSignature"
    "ifactuallabel"
    "startaddrlabel"
    "stopaddrlabel"
    "makelabel")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("baseletter" 2)
    "customletter"
    "letter"
    "foldedletter"
    "letterhead"
    "foldedletterhead"
    "sender"
    "addressee"
    "subject"
    "presentation"
    "normalpresentation"
    "foldedpresentation"
    "signatureenv"
    "baselabels"
    "labels"
    "labelgroup"
    "description"
    "verse"
    "quotation"
    "quote")
   (LaTeX-add-pagestyles
    "empty"
    "plain"
    "firstpage"
    "foldedpage"
    "letterhead"
    "firstletterhead"
    "foldedletterhead"
    "logo"
    "headings"
    "logoheadings"
    "myheadings"
    "logomyheadings"
    "letterheadnpn"
    "logonpn")
   (LaTeX-add-counters
    "letter"
    "emptyaddrlabels"
    "addrlabelrows"
    "addrlabelcolumns"
    "label"
    "totallabel")
   (LaTeX-add-lengths
    "aboveaddressvspace"
    "andaddressvspace"
    "belowaddressvspace"
    "abovesubjectvspace"
    "presubjectvspace"
    "belowsubjectvspace"
    "abovesignaturevspace"
    "abovesignatureshortvspace"
    "belowsignaturevspace"
    "belowpresentationvspace"))
 :latex)

