(TeX-add-style-hook
 "lhelp"
 (lambda ()
   (TeX-run-style-hooks
    "graphics"
    "color"
    "lhelpx")
   (TeX-add-symbols
    "endEitemize"
    "endEenumerate"
    '("placeEPS" ["argument"] 3)
    '("xyfparbox" ["argument"] 3)
    '("fparbox" ["argument"] 0)
    '("placepos" 3)
    '("labelhangindent" 1)
    '("Eitemize" 1)
    '("Eenumerate" 1)
    '("listlabelleftindent" 1)
    '("listlabelleft" 4)
    '("addEPSopt" 1)
    '("ifinclude" 1)
    '("includelower" 3)
    '("nnotes" 1)
    '("notes" 1)
    '("rblap" 1)
    '("rtlap" 1)
    '("tblap" 1)
    '("blap" 1)
    '("tlap" 1)
    '("lrlap" 1)
    '("lineout" 1)
    '("ulbf" 1)
    '("textsubscript" 1)
    '("luunitbox" 1)
    '("lunitbox" 1)
    "muunit"
    "g"
    "kg"
    "mm"
    "mum"
    "cm"
    "m"
    "ml"
    "mL"
    "ns"
    "mus"
    "ms"
    "s"
    "degree"
    "Degree"
    "celsius"
    "fahren"
    "muA"
    "muH"
    "muV"
    "muW"
    "ohm"
    "kohm"
    "Mohm"
    "ac"
    "dc"
    "rms"
    "Vac"
    "Vdc"
    "VLL"
    "kVLL"
    "draftmark"
    "add"
    "draftname"
    "draftfont"
    "putdraftmarkps"
    "cref"
    "Cref"
    "sref"
    "Sref"
    "aref"
    "Aref"
    "fref"
    "Fref"
    "tref"
    "Tref"
    "pgref"
    "Pgref"
    "phref"
    "Phref"
    "month"
    "ddmonthyyyy"
    "yyyymmdd"
    "hour"
    "minute"
    "todayaddtime"
    "HUGE"
    "veryhuge"
    "veryHuge"
    "veryHUGE"
    "selectD"
    "selectNZ"
    "selectUK"
    "selectUSA"
    "ul"
    "larr"
    "rarr"
    "bs"
    "PP"
    "MM"
    "PM"
    "about"
    "eg"
    "ie"
    "etc"
    "ca"
    "resp"
    "Discuss"
    "Edit"
    "Mark"
    "diameter"
    "careof"
    "vnull"
    "vnul"
    "hrulenull"
    "bnotemark"
    "enotemark"
    "notesfont"
    "listshort"
    "clearoddpage"
    "clearevenpage"
    "clearthispage"
    "newoddpage"
    "newevenpage"
    "hanghere"
    "thinthinspace"
    "setTBstruts"
    "PSadjust"
    "packagedate"
    "packageversion"
    "packagesummary"
    "lhelpxspace"
    "EPSopt"
    "EPSfileext"
    "today"
    "tableofcontents"
    "addvspace"
    "w"
    "h"
    "makelabel"
    "ensurecolumnend"
    "absval"
    "gobble"
    "gobbletwo"
    "T"
    "B")
   (LaTeX-add-environments
    "ensuretwocolumn"
    "ensureonecolumn"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("narrowpars" 1)
    "enumerateshort"
    "itemizeshort")
   (LaTeX-add-pagestyles
    "empty"
    "plain"
    "headings"
    "h")
   (LaTeX-add-counters
    "excludelevel"))
 :latex)

