(TeX-add-style-hook
 "ltxguide"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art10"
    "shortvrb")
   (TeX-add-symbols
    '("URL" 1)
    '("NEWdescription" 1)
    '("NEWfeature" 1)
    '("oarg" 1)
    '("m" 1)
    "clsguide"
    "usrguide"
    "fntguide"
    "cfgguide"
    "cyrguide"
    "modguide"
    "sourcecode"
    "LaTeXbook"
    "LaTeXcomp"
    "LaTeXGcomp"
    "LaTeXWcomp"
    "babel"
    "ctan"
    "eg"
    "ie"
    "SLiTeX"
    "NFSS"
    "AmS"
    "AmSLaTeX"
    "verbatim")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)))
 :latex)

