(TeX-add-style-hook
 "mandi"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("xcolor" "dvipsnames") ("esvect" "g") ("fontenc" "T1") ("mdframed" "framemethod=TikZ")))
   (TeX-run-style-hooks
    "amsmath"
    "amssymb"
    "array"
    "cancel"
    "xcolor"
    "enumitem"
    "environ"
    "esint"
    "esvect"
    "etoolbox"
    "filehook"
    "extarrows"
    "fontenc"
    "graphicx"
    "epstopdf"
    "textcomp"
    "letltxmacro"
    "listings"
    "mathtools"
    "mdframed"
    "stackengine"
    "suffix"
    "tensor"
    "xargs"
    "xparse"
    "xspace"
    "ifthen"
    "calligra"
    "hyperref")
   (TeX-add-symbols
    '("glowscriptfile" ["argument"] 0)
    '("vpythonfile" ["argument"] 0)
    '("RHSmaxwellivintfree" ["argument"] 0)
    '("RHSmaxwellivinta" ["argument"] 0)
    '("RHSmaxwellivint" ["argument"] 0)
    '("LHSmaxwellivint" ["argument"] 0)
    '("RHSmaxwelliiiintma" ["argument"] 0)
    '("RHSmaxwelliiiintm" ["argument"] 0)
    '("RHSmaxwelliiiint" ["argument"] 0)
    '("LHSmaxwelliiiint" ["argument"] 0)
    '("maxwelliiintfree" ["argument"] 0)
    '("maxwelliiintm" ["argument"] 0)
    '("maxwelliiint" ["argument"] 0)
    '("RHSmaxwelliiintma" ["argument"] 0)
    '("LHSmaxwelliiint" ["argument"] 0)
    '("maxwelliintfree" ["argument"] 0)
    '("maxwelliint" ["argument"] 0)
    '("RHSmaxwelliinta" ["argument"] 0)
    '("LHSmaxwelliint" ["argument"] 0)
    '("inframe" ["argument"] 0)
    '("logb" ["argument"] 0)
    '("dstar" ["argument"] 0)
    '("Dstar" ["argument"] 0)
    '("magstar" ["argument"] 0)
    '("Magstar" ["argument"] 0)
    '("fstar" ["argument"] 0)
    '("Fstar" ["argument"] 0)
    '("Mstar" ["argument"] 0)
    '("Rstar" ["argument"] 0)
    '("Tstar" ["argument"] 0)
    '("Lstar" ["argument"] 0)
    '("chkconstant" 1)
    '("chkquantity" 1)
    '("sneakyone" 1)
    '("image" 2)
    '("reason" 1)
    '("Tsub" 1)
    '("Lsub" 1)
    '("Fsub" 1)
    '("define" 2)
    '("electricdipoleonbisectorplaces" 4)
    '("electricdipoleonaxisplaces" 4)
    '("springpotentialenergyplaces" 2)
    '("electricpotentialenergyplaces" 3)
    '("gravitationalpotentialenergyplaces" 3)
    '("springinteractionplaces" 3)
    '("Bfieldofparticleplaces" 5)
    '("Efieldofparticleplaces" 3)
    '("electricinteractionplaces" 4)
    '("gfieldofparticleplaces" 3)
    '("gravitationalinteractionplaces" 4)
    '("genericelectricdipoleonaxisplaces" 5)
    '("genericelectricdipoleplaces" 5)
    '("genericpotentialenergyplaces" 4)
    '("genericfieldofparticleplaces" 4)
    '("genericinteractionplaces" 5)
    '("brelatedto" 2)
    '("lrelatedto" 1)
    '("rrelatedto" 1)
    '("pwordoperator" 2)
    '("wordoperator" 2)
    '("ooopx" 1)
    '("ooomx" 1)
    '("oosqrtomx" 1)
    '("oosqrtomxs" 1)
    '("frelgamma" 1)
    '("relgamma" 1)
    '("ffifthroot" 1)
    '("ffourthroot" 1)
    '("fcuberoot" 1)
    '("fsqrt" 1)
    '("fifthroot" 1)
    '("fourthroot" 1)
    '("cuberoot" 1)
    '("naxis" 1)
    '("kronecker" 1)
    '("levicivita" 1)
    '("msud" 3)
    '("msup" 2)
    '("msub" 2)
    '("ssud" 3)
    '("ssup" 2)
    '("ssub" 2)
    '("longitudeW" 1)
    '("longitudeE" 1)
    '("longitude" 1)
    '("latitudeS" 1)
    '("latitudeN" 1)
    '("latitude" 1)
    '("hms" 3)
    '("dms" 3)
    '("EE" 2)
    '("ee" 2)
    '("Changein" 1)
    '("changein" 1)
    '("unitsof" 1)
    '("dimsof" 1)
    '("magof" 1)
    '("inparens" 1)
    '("absof" 1)
    '("scripty" 1)
    '("orderof" 1)
    '("diracdelta" 1)
    '("ppbyp" 2)
    '("pbyp" 2)
    '("DDbyD" 2)
    '("ddbyd" 2)
    '("DbyD" 2)
    '("dbyd" 2)
    '("volumeintegral" 2)
    '("closedlineintegral" 2)
    '("openlineintegral" 2)
    '("closedsurfaceintegral" 2)
    '("opensurfaceintegral" 2)
    '("dx" 1)
    '("sumoverall" 1)
    '("bracket" 2)
    '("ket" 1)
    '("bra" 1)
    '("guk" 1)
    '("gk" 1)
    '("ueuk" 1)
    '("euk" 1)
    '("uek" 1)
    '("ek" 1)
    '("rtriplescalar" 3)
    '("ltriplescalar" 3)
    '("rtriplecross" 3)
    '("ltriplecross" 3)
    '("vectcrossvect" 2)
    '("DervectdoteDvect" 3)
    '("dervectdotedvect" 3)
    '("DervectdotsDvect" 3)
    '("dervectdotsdvect" 3)
    '("vectdoteDervect" 3)
    '("vectdotedervect" 3)
    '("vectdotsDervect" 3)
    '("vectdotsdervect" 3)
    '("Dervectdotevect" 3)
    '("dervectdotevect" 3)
    '("Dervectdotsvect" 3)
    '("dervectdotsvect" 3)
    '("vectsubdoteDvect" 3)
    '("vectsubdotedvect" 3)
    '("vectsubdotsDvect" 3)
    '("vectsubdotsdvect" 3)
    '("vectsubdoteDvectsub" 4)
    '("vectsubdotedvectsub" 4)
    '("vectsubdotsDvectsub" 4)
    '("vectsubdotsdvectsub" 4)
    '("vectsubdotevectsub" 4)
    '("vectsubdotsvectsub" 4)
    '("vectdoteDvect" 2)
    '("vectdotedvect" 2)
    '("vectdotsDvect" 2)
    '("vectdotsdvect" 2)
    '("vectdotevect" 2)
    '("vectdotsvect" 2)
    '("vectdotvect" 2)
    '("scompsDervectsub" 3)
    '("scompsdervectsub" 3)
    '("compDervectsub" 4)
    '("compdervectsub" 4)
    '("magDervectsub" 3)
    '("magdervectsub" 3)
    '("Dervectsub" 3)
    '("dervectsub" 3)
    '("Dermagvectsub" 3)
    '("dermagvectsub" 3)
    '("scompsDvectsub" 2)
    '("scompsdvectsub" 2)
    '("compDvectsub" 3)
    '("compdvectsub" 3)
    '("Dvectsub" 2)
    '("dvectsub" 2)
    '("dirvectsub" 2)
    '("magvectsubscomps" 2)
    '("magnvectsub" 3)
    '("magsquaredvectsub" 2)
    '("magvectsub" 2)
    '("scompsvectsub" 2)
    '("compvectsub" 3)
    '("vectsub" 2)
    '("Derdirvect" 2)
    '("derdirvect" 2)
    '("Dermagvect" 2)
    '("dermagvect" 2)
    '("magDervect" 2)
    '("magdervect" 2)
    '("scompsDervect" 2)
    '("scompsdervect" 2)
    '("compDervect" 3)
    '("compdervect" 3)
    '("Dervect" 2)
    '("dervect" 2)
    '("scompsDvect" 1)
    '("scompsdvect" 1)
    '("compDvect" 2)
    '("compdvect" 2)
    '("magDvect" 1)
    '("magdvect" 1)
    '("Ddirvect" 1)
    '("ddirvect" 1)
    '("dirDvect" 1)
    '("dirdvect" 1)
    '("Dvect" 1)
    '("dvect" 1)
    '("magvectscomps" 1)
    '("compdirvect" 2)
    '("scompsdirvect" 1)
    '("scompsvect" 1)
    '("compvect" 2)
    '("uprojectiononto" 2)
    '("expprojectiononto" 2)
    '("projectiononto" 2)
    '("ucomponentalong" 2)
    '("expcomponentalong" 2)
    '("componentalong" 2)
    '("direction" 1)
    '("dirvect" 1)
    '("Dmagvect" 1)
    '("dmagvect" 1)
    '("magnvect" 2)
    '("magsquaredvect" 1)
    '("magvect" 1)
    '("vect" 1)
    '("vectormomentumflux" 1)
    '("vectorenergyflux" 1)
    '("vectorcurrentdensity" 1)
    '("vectormagneticdipolemoment" 1)
    '("vectorcmagneticfield" 1)
    '("vectormagneticfield" 1)
    '("vectorelectricdipolemoment" 1)
    '("vectorelectricfield" 1)
    '("vectorwavenumber" 1)
    '("vectortorque" 1)
    '("vectorangularimpulse" 1)
    '("vectorangularmomentum" 1)
    '("vectorangularacceleration" 1)
    '("vectorangularvelocity" 1)
    '("vectorimpulse" 1)
    '("vectorgravitationalfield" 1)
    '("vectorforce" 1)
    '("vectormomentum" 1)
    '("vectoracceleration" 1)
    '("vectorvelocityc" 1)
    '("vectorvelocity" 1)
    '("vectordisplacement" 1)
    '("lorentz" 1)
    '("velocityc" 1)
    '("insolard" 1)
    '("insolarD" 1)
    '("insolarmag" 1)
    '("insolarMag" 1)
    '("insolarf" 1)
    '("insolarF" 1)
    '("insolarM" 1)
    '("insolarR" 1)
    '("insolarT" 1)
    '("insolarL" 1)
    '("inpc" 1)
    '("incyr" 1)
    '("inly" 1)
    '("inAU" 1)
    '("ingrampercubiccm" 1)
    '("ingram" 1)
    '("inamu" 1)
    '("inGeVoc" 1)
    '("inGeVocs" 1)
    '("inGeV" 1)
    '("inMeVoc" 1)
    '("inMeVocs" 1)
    '("inMeV" 1)
    '("ineVoc" 1)
    '("ineVocs" 1)
    '("ineV" 1)
    '("inarcseconds" 1)
    '("inarcminutes" 1)
    '("inCelsius" 1)
    '("inFarenheit" 1)
    '("indegrees" 1)
    '("innerdefinewhatsoeverquantity" 8)
    '("innerdefinewhatsoeverquantityfork" 3)
    '("hereusetradunit" 1)
    '("hereusedrvdunit" 1)
    '("hereusebaseunit" 1)
    '("selecttradunit" 3)
    '("selectdrvdunit" 3)
    '("selectbaseunit" 3)
    '("reciprocalquartic" 1)
    '("reciprocalcubic" 1)
    '("reciprocalsquare" 1)
    '("reciprocal" 1)
    '("quartic" 1)
    '("cubic" 1)
    '("square" 1)
    '("unit" 2)
    "mandiversion"
    "per"
    "usk"
    "ampere"
    "arcminute"
    "arcsecond"
    "atomicmassunit"
    "candela"
    "coulomb"
    "degree"
    "electronvolt"
    "eV"
    "farad"
    "henry"
    "hertz"
    "hour"
    "joule"
    "kelvin"
    "kilogram"
    "metre"
    "minute"
    "mole"
    "newton"
    "ohm"
    "pascal"
    "radian"
    "second"
    "siemens"
    "steradian"
    "tesla"
    "volt"
    "watt"
    "weber"
    "C"
    "F"
    "J"
    "N"
    "Pa"
    "rad"
    "sr"
    "T"
    "V"
    "W"
    "Wb"
    "squared"
    "cubed"
    "quarted"
    "reciprocaled"
    "reciprocalsquared"
    "reciprocalcubed"
    "reciprocalquarted"
    "mi"
    "perpusebaseunit"
    "perpusedrvdunit"
    "perpusetradunit"
    "newphysicsquantity"
    "redefinephysicsquantity"
    "newphysicsconstant"
    "redefinephysicsconstant"
    "m"
    "kg"
    "s"
    "A"
    "K"
    "mol"
    "cd"
    "dimdisplacement"
    "dimmass"
    "dimduration"
    "dimcurrent"
    "dimtemperature"
    "dimamount"
    "dimluminous"
    "speed"
    "lv"
    "poyntingvector"
    "rv"
    "zerovect"
    "vectordirection"
    "ddirection"
    "Ddirection"
    "derdirection"
    "Derdirection"
    "directionsub"
    "ezero"
    "eone"
    "etwo"
    "ethree"
    "efour"
    "e"
    "uezero"
    "ueone"
    "uetwo"
    "uethree"
    "uefour"
    "ue"
    "ezerozero"
    "ezeroone"
    "ezerotwo"
    "ezerothree"
    "ezerofour"
    "eoneone"
    "eonetwo"
    "eonethree"
    "eonefour"
    "etwoone"
    "etwotwo"
    "etwothree"
    "etwofour"
    "ethreeone"
    "ethreetwo"
    "ethreethree"
    "ethreefour"
    "efourone"
    "efourtwo"
    "efourthree"
    "efourfour"
    "euzero"
    "euone"
    "eutwo"
    "euthree"
    "eufour"
    "eu"
    "ueuzero"
    "ueuone"
    "ueutwo"
    "ueuthree"
    "ueufour"
    "ueu"
    "euzerozero"
    "euzeroone"
    "euzerotwo"
    "euzerothree"
    "euzerofour"
    "euoneone"
    "euonetwo"
    "euonethree"
    "euonefour"
    "eutwoone"
    "eutwotwo"
    "eutwothree"
    "eutwofour"
    "euthreeone"
    "euthreetwo"
    "euthreethree"
    "euthreefour"
    "eufourone"
    "eufourtwo"
    "eufourthree"
    "eufourfour"
    "gzero"
    "gone"
    "gtwo"
    "gthree"
    "gfour"
    "g"
    "gzerozero"
    "gzeroone"
    "gzerotwo"
    "gzerothree"
    "gzerofour"
    "goneone"
    "gonetwo"
    "gonethree"
    "gonefour"
    "gtwoone"
    "gtwotwo"
    "gtwothree"
    "gtwofour"
    "gthreeone"
    "gthreetwo"
    "gthreethree"
    "gthreefour"
    "gfourone"
    "gfourtwo"
    "gfourthree"
    "gfourfour"
    "guzero"
    "guone"
    "gutwo"
    "guthree"
    "gufour"
    "gu"
    "guzerozero"
    "guzeroone"
    "guzerotwo"
    "guzerothree"
    "guzerofour"
    "guoneone"
    "guonetwo"
    "guonethree"
    "guonefour"
    "gutwoone"
    "gutwotwo"
    "gutwothree"
    "gutwofour"
    "guthreeone"
    "guthreetwo"
    "guthreethree"
    "guthreefour"
    "gufourone"
    "gufourtwo"
    "gufourthree"
    "gufourfour"
    "coulombconstant"
    "altcoulombconstant"
    "biotsavartconstant"
    "boltzmannconstant"
    "stefanboltzmannconstant"
    "planckconstant"
    "reducedplanckconstant"
    "planckconstanttimesc"
    "rydbergconstant"
    "finestructureconstant"
    "avogadroconstant"
    "universalgravitationalconstant"
    "earthssurfacegravitationalfield"
    "photonconstant"
    "elementarycharge"
    "EarthSundistance"
    "SunEarthdistance"
    "EarthMoondistance"
    "MoonEarthdistance"
    "Lsolar"
    "Tsolar"
    "Rsolar"
    "Msolar"
    "Fsolar"
    "fsolar"
    "Magsolar"
    "magsolar"
    "Dsolar"
    "dsolar"
    "onehalf"
    "onethird"
    "onefourth"
    "onefifth"
    "onesixth"
    "oneseventh"
    "oneeighth"
    "oneninth"
    "onetenth"
    "twooneths"
    "twohalves"
    "twothirds"
    "twofourths"
    "twofifths"
    "twosixths"
    "twosevenths"
    "twoeighths"
    "twoninths"
    "twotenths"
    "threeoneths"
    "threehalves"
    "threethirds"
    "threefourths"
    "threefifths"
    "threesixths"
    "threesevenths"
    "threeeighths"
    "threeninths"
    "threetenths"
    "fouroneths"
    "fourhalves"
    "fourthirds"
    "fourfourths"
    "fourfifths"
    "foursixths"
    "foursevenths"
    "foureighths"
    "fourninths"
    "fourtenths"
    "evaluatedat"
    "seriesfofx"
    "seriesexpx"
    "seriessinx"
    "seriescosx"
    "seriestanx"
    "seriesatox"
    "serieslnoneplusx"
    "binomialseries"
    "gradient"
    "divergence"
    "curl"
    "taigrad"
    "taisvec"
    "taidivg"
    "taicurl"
    "laplacian"
    "dalembertian"
    "asin"
    "acos"
    "atan"
    "asec"
    "acsc"
    "acot"
    "sech"
    "csch"
    "asinh"
    "acosh"
    "atanh"
    "asech"
    "acsch"
    "acoth"
    "sgn"
    "dex"
    "cB"
    "newpi"
    "Lagr"
    "xtento"
    "clockreading"
    "xaxis"
    "yaxis"
    "zaxis"
    "axis"
    "xyplane"
    "yzplane"
    "zxplane"
    "yxplane"
    "zyplane"
    "xzplane"
    "plane"
    "isequals"
    "definedas"
    "associated"
    "adjustedby"
    "earlierthan"
    "laterthan"
    "forevery"
    "pdefinedas"
    "passociated"
    "padjustedby"
    "pearlierthan"
    "platerthan"
    "pforevery"
    "defines"
    "associates"
    "becomes"
    "gfieldofparticle"
    "momentumprinciple"
    "LHSmomentumprinciple"
    "RHSmomentumprinciple"
    "momentumprinciplediff"
    "energyprinciple"
    "LHSenergyprinciple"
    "RHSenergyprinciple"
    "energyprinciplediff"
    "angularmomentumprinciple"
    "LHSangularmomentumprinciple"
    "RHSangularmomentumprinciple"
    "angularmomentumprinciplediff"
    "gravitationalinteraction"
    "electricinteraction"
    "springinteraction"
    "Bfieldofparticle"
    "Efieldofparticle"
    "DEsys"
    "DUs"
    "DUg"
    "DUe"
    "DKtrans"
    "DKrot"
    "DKvib"
    "DEparticle"
    "DEinternal"
    "DErest"
    "DEchem"
    "DEtherm"
    "DEvib"
    "DEphoton"
    "springpotentialenergy"
    "finalspringpotentialenergy"
    "initialspringpotentialenergy"
    "gravitationalpotentialenergy"
    "finalgravitationalpotentialenergy"
    "initialgravitationalpotentialenergy"
    "electricpotentialenergy"
    "finalelectricpotentialenergy"
    "initialelectricpotentialenergy"
    "ks"
    "Fnet"
    "Fnetext"
    "Fnetsys"
    "Ltotal"
    "Lsys"
    "Tnet"
    "Tnetext"
    "Tnetsys"
    "RHSmaxwelliint"
    "RHSmaxwelliintfree"
    "RHSmaxwelliiint"
    "RHSmaxwelliiintm"
    "RHSmaxwelliiintfree"
    "RHSmaxwelliiiintfree"
    "maxwelliiiintfree"
    "LHSmaxwellidif"
    "RHSmaxwellidif"
    "RHSmaxwellidiffree"
    "maxwellidif"
    "maxwellidiffree"
    "LHSmaxwelliidif"
    "RHSmaxwelliidif"
    "RHSmaxwelliidifm"
    "RHSmaxwelliidiffree"
    "maxwelliidif"
    "maxwelliidifm"
    "maxwelliidiffree"
    "LHSmaxwelliiidif"
    "RHSmaxwelliiidif"
    "RHSmaxwelliiidifm"
    "RHSmaxwelliiidiffree"
    "maxwelliiidif"
    "maxwelliiidifm"
    "maxwelliiidiffree"
    "LHSmaxwellivdif"
    "RHSmaxwellivdif"
    "RHSmaxwellivdiffree"
    "maxwellivdif"
    "maxwellivdiffree"
    "RHSlorentzforce"
    "RHSlorentzforcem"
    "vpythonline"
    "glowscriptline"
    "problempart"
    "checkpoint"
    "qed"
    "selectunit"
    "skipper")
   (LaTeX-add-labels
    "#1")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0)
    '("problem" 1)
    "usebaseunit"
    "usedrvdunit"
    "usetradunit"
    "x"))
 :latex)

