(TeX-add-style-hook
 "achemso"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("article" "12pt" "letter")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "margin=2.54cm") ("natbib" "sort&compress" "numbers" "super" "round")))
   (TeX-run-style-hooks
    "latex2e"
    "achemso-jacsat"
    "article"
    "art12"
    "xkeyval"
    "geometry"
    "natbib"
    "natmove"
    "mciteplus")
   (TeX-add-symbols
    '("alsoaffiliation" ["argument"] 1)
    '("affiliation" ["argument"] 1)
    '("bibnotetext" ["argument"] 0)
    '("bibnotemark" ["argument"] 0)
    '("bibnote" ["argument"] 0)
    '("keywords" 1)
    '("abbreviations" 1)
    '("phone" 1)
    '("fax" 1)
    '("email" 1)
    '("altaffiliation" 1)
    '("latin" 1)
    "acs"
    "printbibnotes"
    "affilsize"
    "authorsize"
    "emailsize"
    "titlesize"
    "affilfont"
    "authorfont"
    "emailfont"
    "titlefont"
    "schemename"
    "chartname"
    "graphname"
    "SectionNumbersOff"
    "SectionNumbersOn"
    "SectionsOff"
    "SectionsOn"
    "acknowledgementname"
    "suppinfoname"
    "AbstractOff"
    "AbstractOn"
    "tocentryname"
    "tocsize"
    "acksize"
    "suppsize"
    "bibnumfmt"
    "thebibnote"
    "bibliography"
    "author"
    "and"
    "thanks"
    "footnote"
    "UrlFont"
    "plainref"
    "section"
    "subsection"
    "subsubsection"
    "noexpand"
    "bibsection"
    "end"
    "normalsize"
    "thepage"
    "citenumfont"
    "bibliographystyle")
   (LaTeX-add-environments
    "abstract"
    "acknowledgement"
    "suppinfo"
    "tocentry")
   (LaTeX-add-pagestyles
    "acs"
    "plain")
   (LaTeX-add-counters
    "bibnote")
   (LaTeX-add-lengths
    "acs"))
 :latex)

