(TeX-add-style-hook
 "akkscript"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("book" "a4paper")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("akktex" "longpage" "widepage" "twoside" "intlimits")))
   (TeX-run-style-hooks
    "latex2e"
    "ifthen"
    "theorem"
    "akkconditional"
    "book"
    "bk10"
    "lscape"
    "longtable"
    "float"
    "enumerate"
    "verbatim"
    "akktex")
   (TeX-add-symbols
    "thanks"
    "maketitle"
    "title"
    "author"
    "date"
    "and")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)))
 :latex)

