(TeX-add-style-hook
 "asciilist"
 (lambda ()
   (TeX-run-style-hooks
    "etoolbox"
    "trimspaces")
   (TeX-add-symbols
    '("NewAsciiDocListEnv" ["argument"] 1)
    '("NewAsciiListEnv" ["argument"] 2)
    '("AsciiDocListFromFiles" ["argument"] 1)
    '("AsciiDocListFromFile" ["argument"] 1)
    '("AsciiListFromFiles" ["argument"] 2)
    '("AsciiListFromFile" ["argument"] 2)
    '("AsciiListRegisterDescEnv" 1)
    '("AsciiListRegisterEnv" 4)
    '("AsciiDocListSetEnvironments" 1)
    '("AsciiListSetEnvironments" 1)
    '("AsciiListSetAutochars" 1)
    "asclst"
    "UP"
    "input"
    "UPTO")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    "asclst"))
 :latex)

