(TeX-add-style-hook
 "bewerbung-cv"
 (lambda ()
   (TeX-run-style-hooks
    "fontspec"
    "lastpage")
   (TeX-add-symbols
    '("emaillink" ["argument"] 1)
    '("httplink" ["argument"] 1)
    '("link" ["argument"] 1)
    '("cvitemwithcomment" ["argument"] 3)
    '("cventry" ["argument"] 6)
    '("cvlistdoubleitem" ["argument"] 2)
    '("cvlistitem" ["argument"] 1)
    '("cvdoubleitem" ["argument"] 4)
    '("cvitem" ["argument"] 2)
    '("photo" ["argument"] 2)
    '("cvlanguage" 3)
    '("subsectionstyle" 1)
    '("sectionstyle" 1)
    '("hintstyle" 1)
    '("quotestyle" 1)
    '("addressstyle" 1)
    '("titlestyle" 1)
    '("acadtitlestyle" 1)
    '("familynamestyle" 1)
    '("firstnamestyle" 1)
    '("address" 2)
    '("subsection" 1)
    '("section" 1)
    "mycolor"
    "addresssymbol"
    "mobilesymbol"
    "phonesymbol"
    "faxsymbol"
    "emailsymbol"
    "homepagesymbol"
    "fsymbol"
    "listitemsymbol"
    "firstname"
    "familyname"
    "acadtitle"
    "addressstreet"
    "addresscity"
    "mobile"
    "phonenr"
    "faxnr"
    "email"
    "homepage"
    "extrainfo"
    "cvquote"
    "totalpagemark"
    "citebordercolor"
    "filebordercolor"
    "linkbordercolor"
    "menubordercolor"
    "runbordercolor"
    "urlbordercolor"
    "allbordercolors"
    "pdfauthor"
    "pdfsubject"
    "pdftitle"
    "pdfkeywords"
    "origsection"
    "origsubsection")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "hintscolwidth"
    "sepcolwidth"
    "maincolwidth"
    "quotewidth"
    "dbitemmaincolwidth"
    "listitemsymbolwidth"
    "listitemmaincolwidth"
    "listdbitemmaincolwidth"
    "titlesepwidth"
    "mframepicshift"
    "infocolwidth"
    "sepinfocolwidth"
    "komacvinfocolextrawidth"
    "footerwidth"
    "aftertitlevspace"
    "afterquotevspace"
    "afterelementsvspace"
    "beforesecvspace"
    "aftersecvspace"
    "beforesubsecvspace"
    "aftersubsecvspace"))
 :latex)

