(TeX-add-style-hook
 "caption2"
 (lambda ()
   (TeX-run-style-hooks
    "caption3")
   (TeX-add-symbols
    '("subcapstyle" 1)
    '("usecaptionstyle" 1)
    '("onelinecaption" 1)
    '("captionstyle" 1)
    '("dummycaptionstyle" 2)
    '("renewcaptionstyle" 1)
    '("newcaptionstyle" 1)
    '("defcaptionstyle" 1)
    "ifcaptionwidth"
    "normalcaptionparams"
    "caption"
    "captionlinewidth"
    "realcaptionwidth"
    "usecaptionmargin"
    "subfigcapwidth"
    "setsubcapmargin"
    "setsubcapwidth"
    "subcaplabelsep"
    "subcapindent"
    "subcaplabeldelim"
    "captionindent"
    "ifcaptionlabel"
    "captionlabeltrue"
    "captionlabelfalse"
    "ifonelinecaptions"
    "onelinecaptionstrue"
    "onelinecaptionsfalse"
    "captionsize"
    "captionof"
    "captionlabelfont"
    "captionlabeldelim"
    "captionlabelsep"
    "captionlabel"
    "captiontext"
    "setsubcapstyle"
    "subcapfont")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "abovecaptionskip"
    "belowcaptionskip"))
 :latex)

