(TeX-add-style-hook
 "caption3"
 (lambda ()
   (TeX-run-style-hooks
    "keyval"
    "newfloat")
   (TeX-add-symbols
    '("showcaptionsetup" ["argument"] 1)
    '("DeclareCaptionListFormat" 2)
    '("DeclareCaptionDefaultJustification" 1)
    '("DeclareCaptionJustification" 2)
    '("DeclareCaptionDefaultFont" 2)
    '("DeclareCaptionFont" 2)
    '("DeclareCaptionTextFormat" 2)
    '("DeclareCaptionLabelFormat" 2)
    '("DeclareCaptionDefaultFormat" 1)
    '("DeclareCaptionBox" 2)
    '("DeclareCaptionStyle" 1)
    "caption"
    "l"
    "undefine"
    "DeclareCaptionOption"
    "DeclareCaptionOptionNoValue"
    "captionsetup"
    "clearcaptionsetup"
    "captionwidth"
    "setcaptionmargin"
    "setcaptionwidth"
    "string"
    "DeclareCaptionFormat"
    "DeclareCaptionLabelSeparator"
    "centerfirst"
    "centerlast"
    "AtBeginCaption"
    "AtEndCaption"
    "DeclareCaptionType"
    "newfloat"
    "DeclareCaptionSubType"
    "bothIfFirst"
    "bothIfSecond"
    "CurrentOption"
    "captionmargin"
    "insertcaptionname"
    "insertcaptionnumber"
    "insertcaption"
    "captionseparator"
    "captionlisttype"
    "footnote"
    "footnotemark"
    "pagenote"
    "glsunset"
    "stepcounter"
    "noexpand"
    "label")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "abovecaptionskip"
    "belowcaptionskip"))
 :latex)

