(TeX-add-style-hook
 "cd"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art10"
    "rotating")
   (TeX-add-symbols
    '("makeslimlist" ["argument"] 0)
    '("makelist" ["argument"] 0)
    '("makeslimCD" ["argument"] 0)
    '("makeCD" ["argument"] 0)
    '("makeslimcover" ["argument"] 0)
    '("makeback" ["argument"] 0)
    '("makecover" ["argument"] 0)
    '("fh" 1)
    '("fhb" 2)
    '("trackrange" 1)
    '("setindex" 1)
    '("tracklistheight" 1)
    '("rightspinebis" 1)
    '("centerspinebis" 1)
    '("leftspinebis" 1)
    '("rightspine" 1)
    '("centerspine" 1)
    '("leftspine" 1)
    '("insidegraphics" 1)
    '("covergraphics" 1)
    '("insidetext" 1)
    '("backtext" 1)
    '("covertext" 1)
    '("rightinfo" 1)
    '("leftinfo" 1)
    '("righttracklist" 1)
    '("lefttracklist" 1)
    '("indexfont" 1)
    '("infofont" 1)
    '("tracklistfont" 1)
    '("spinefont" 1)
    '("insidefont" 1)
    '("backfont" 1)
    '("coverfont" 1)
    '("onecorrection" 1)
    "tr"
    "track"
    "newcd"
    "alignt"
    "CDname"
    "CDlistname")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "squ"
    "d"
    "h"
    "winf"
    "wtr"
    "onec"))
 :latex)

