(TeX-add-style-hook
 "changes"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("ulem" "normalem" "normalbf") ("truncate" "breakall")))
   (TeX-run-style-hooks
    "xkeyval"
    "xifthen"
    "xcolor"
    "pdfcolmk"
    "ulem"
    "truncate")
   (TeX-add-symbols
    '("listofchanges" ["argument"] 0)
    '("replaced" ["argument"] 2)
    '("deleted" ["argument"] 1)
    '("added" ["argument"] 1)
    '("definechangesauthor" ["argument"] 1)
    '("setdeletedmarkup" 1)
    '("setaddedmarkup" 1)
    '("setremarkmarkup" 1)
    '("setauthormarkuptext" 1)
    '("setauthormarkupposition" 1)
    '("textsubscript" 1)
    '("setauthormarkup" 1)
    '("setsocextension" 1)
    "Changes"
    "listofchangesname"
    "summaryofchangesname"
    "changesaddname"
    "changesdeletename"
    "changesreplacename"
    "changesauthorname"
    "changesanonymousname"
    "changesnoloc"
    "changesnosoc"
    "protect")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2))
   (LaTeX-add-lengths
    "Changes"))
 :latex)

