(TeX-add-style-hook
 "chessfss"
 (lambda ()
   (TeX-run-style-hooks
    "lsbenc"
    "lsfenc"
    "lsienc"
    "ifthen"
    "xkeyval")
   (TeX-add-symbols
    '("showchessboardencoding" ["argument"] 1)
    '("settextfigchars" ["argument"] 6)
    '("setsidefontsize" 1)
    '("setsidefontseries" 1)
    '("setsidefontshape" 1)
    '("setsidefontfamily" 1)
    '("setsidefontencoding" 1)
    '("setinffontfamily" 1)
    '("setallchessfontfamily" 1)
    '("setchessfontfamily" 1)
    '("setboardfontcolors" 1)
    '("setboardfontsize" 1)
    '("setboardfontseries" 1)
    '("setboardfontfamily" 1)
    '("setboardfontencoding" 1)
    '("setfigstyle" 1)
    '("settextfiglanguage" 1)
    '("setfigfontfamily" 1)
    "cfss"
    "symking"
    "symqueen"
    "symrook"
    "symbishop"
    "symknight"
    "sympawn"
    "usesymfig"
    "usetextfig"
    "WhiteEmptySquare"
    "BlackEmptySquare"
    "WhiteKingOnWhite"
    "BlackKingOnWhite"
    "WhiteKingOnBlack"
    "BlackKingOnBlack"
    "WhiteQueenOnWhite"
    "BlackQueenOnWhite"
    "WhiteQueenOnBlack"
    "BlackQueenOnBlack"
    "WhiteRookOnWhite"
    "BlackRookOnWhite"
    "WhiteRookOnBlack"
    "BlackRookOnBlack"
    "WhiteBishopOnWhite"
    "BlackBishopOnWhite"
    "WhiteBishopOnBlack"
    "BlackBishopOnBlack"
    "WhiteKnightOnWhite"
    "BlackKnightOnWhite"
    "WhiteKnightOnBlack"
    "BlackKnightOnBlack"
    "WhitePawnOnWhite"
    "BlackPawnOnWhite"
    "WhitePawnOnBlack"
    "BlackPawnOnBlack"
    "castlingchar"
    "novelty"
    "comment"
    "chesscomment"
    "various"
    "shortcastling"
    "longcastling"
    "castlinghyphen"
    "checksymbol"
    "bishoppair"
    "betteris"
    "wupperhand"
    "doublepawns"
    "bupperhand"
    "wbetter"
    "bbetter"
    "wdecisive"
    "bdecisive"
    "equal"
    "unclear"
    "chesssee"
    "mate"
    "compensation"
    "opposbishops"
    "seppawns"
    "passedpawn"
    "samebishops"
    "devadvantage"
    "unitedpawns"
    "with"
    "without"
    "markera"
    "markerb"
    "withattack"
    "withinit"
    "zugzwang"
    "withidea"
    "onlymove"
    "diagonal"
    "file"
    "centre"
    "weakpt"
    "ending"
    "qside"
    "kside"
    "etc"
    "morepawns"
    "timelimit"
    "moreroom"
    "counterplay"
    "capturesymbol"
    "figfont"
    "figsymbol"
    "setfigtextchars"
    "textking"
    "textqueen"
    "textrook"
    "textbishop"
    "textknight"
    "textpawn"
    "textsymking"
    "textsymqueen"
    "textsymrook"
    "textsymbishop"
    "textsymknight"
    "textsympawn"
    "king"
    "queen"
    "rook"
    "bishop"
    "knight"
    "pawn"
    "textfigsymbol"
    "textsymfigsymbol"
    "settextfigstyle"
    "colorbox"
    "getsquaresize"
    "boardfont"
    "boardsymbol"
    "inffont"
    "infsymbol"
    "sidefont"
    "sidesymbol"
    "checksign"
    "bishops"
    "wBetter"
    "doubledpawns"
    "bBetter"
    "WBetter"
    "BBetter"
    "oppositebishops"
    "separatedpawns"
    "development"
    "attack"
    "initiative"
    "boarddiagonal"
    "boardfile"
    "boardcenter"
    "weak"
    "queenside"
    "kingside"
    "chessetc"
    "pawnsno"
    "timetrouble"
    "spaceadv")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2))
   (LaTeX-add-lengths
    "len"))
 :latex)

