(TeX-add-style-hook
 "csquotes"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("inputenc" "utf8")))
   (TeX-run-style-hooks
    "csq-compat"
    "etoolbox"
    "keyval"
    "inputenc")
   (TeX-add-symbols
    '("mktextdel" 1)
    '("mktextmod" 1)
    '("mktextins" 1)
    '("mktextinselp" 1)
    '("mktextelpins" 1)
    '("csqBQend" 1)
    '("csqBQsep" 1)
    '("csqBQbeg" 1)
    '("csqBQ" 1)
    '("csqQQ" 1)
    '("mkccitation" 1)
    '("mkcitation" 1)
    '("mkenddispquote" 2)
    '("mkbegdispquote" 2)
    '("mkblockquote" 4)
    '("mktextquote" 6)
    "ifblockquote"
    "ifpunct"
    "ifterm"
    "mktextelp"
    "everypar"
    "MessageBreak"
    "frenchspacing"
    "nonfrenchspacing"
    "enquote"
    "foreignquote"
    "hyphenquote"
    "textquote"
    "foreigntextquote"
    "hyphentextquote"
    "textcquote"
    "foreigntextcquote"
    "hyphentextcquote"
    "newline"
    "nobreakspace"
    "allowbreak"
    "textelp"
    "textins"
    "marginpar"
    "label"
    "index"
    "glossary"
    "blockquote"
    "foreignblockquote"
    "hyphenblockquote"
    "blockcquote"
    "foreignblockcquote"
    "hyphenblockcquote"
    "csqQQ"
    "csqBQ"
    "csqBQbeg"
    "csqBQsep"
    "csqBQend"
    "inputencodingname"
    "break"
    "EnableQuotes"
    "DisableQuotes"
    "VerbatimQuotes"
    "noexpand"
    "DeclareQuoteOption"
    "openautoquote"
    "closeautoquote"
    "openinnerquote"
    "closeinnerquote"
    "addtoendnotes")
   (LaTeX-add-environments
    "quote"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("hyphendisplaycquote" 1)
    '("foreigndisplaycquote" 1)
    '("hyphendisplayquote" 1)
    '("foreigndisplayquote" 1)
    "displayquote"
    "displaycquote"))
 :latex)

