(TeX-add-style-hook
 "databib"
 (lambda ()
   (TeX-run-style-hooks
    "datatool")
   (TeX-add-symbols
    '("DTLmbibliography" ["argument"] 2)
    '("DTLbibliography" ["argument"] 1)
    '("DTLloadbbl" ["argument"] 2)
    '("DTLloadmbbl" 3)
    '("DTLnocite" 2)
    '("DTLmultibibs" 1)
    '("DTLbibliographystyle" 1)
    '("DTLformatbooktitle" 1)
    '("DTLformatedition" 1)
    '("DTLformateditor" 4)
    '("DTLformatauthor" 4)
    '("DTLcustombibitem" 3)
    '("DTLmbibitem" 1)
    '("DTLmonthname" 1)
    '("DTLbibfieldcontains" 2)
    '("DTLbibfieldisge" 2)
    '("DTLbibfieldisgt" 2)
    '("DTLbibfieldisle" 2)
    '("DTLbibfieldislt" 2)
    '("DTLbibfieldiseq" 2)
    '("DTLbibfieldexists" 1)
    '("DTLformatjr" 1)
    '("DTLformatsurname" 1)
    '("DTLformatvon" 1)
    '("DTLformatabbrvforenames" 1)
    '("DTLformatforenames" 1)
    '("DTLformatsurnameonly" 4)
    '("DTLcheckbibfieldendsperiod" 1)
    '("DTLcheckendsperiod" 1)
    '("DTLifanybibfieldexists" 3)
    '("DTLifbibfieldexists" 3)
    '("DTLbibfieldlet" 2)
    '("DTLbibfield" 1)
    '("DTLcomputewidestbibentry" 4)
    '("DTLformatthisbibentry" 2)
    '("DTLnewbibitem" 2)
    "dtlbib"
    "DTLnewbibrow"
    "andname"
    "ofname"
    "inname"
    "etalname"
    "editorname"
    "editorsname"
    "volumename"
    "numbername"
    "pagesname"
    "pagename"
    "editionname"
    "techreportname"
    "mscthesisname"
    "phdthesisname"
    "DTLformatbibentry"
    "gDTLformatbibentry"
    "DTLendbibitem"
    "DTLforeachbibentry"
    "gDTLforeachbibentry"
    "DTLaddperiod"
    "DTLaddcomma"
    "DTLstartsentencespace"
    "DTLtwoand"
    "DTLandlast"
    "DTLandnotlast"
    "DTLformatauthorlist"
    "DTLformateditorlist"
    "DTLformatcrossrefeditor"
    "DTLformatvolnumpages"
    "DTLformatbvolume"
    "DTLformatchapterpages"
    "DTLformatpages"
    "DTLformatnumberseries"
    "DTLformatbookcrossref"
    "DTLformatincollproccrossref"
    "DTLformatinedbooktitle"
    "DTLformatdate"
    "DTLformatarticlecrossref"
    "dtl"
    "DTLbibitem"
    "DTLformatarticle"
    "DTLformatbook"
    "DTLformatbooklet"
    "DTLformatinbook"
    "DTLformatincollection"
    "DTLformatinproceedings"
    "DTLformatmanual"
    "DTLformatmastersthesis"
    "DTLformatmisc"
    "DTLformatphdthesis"
    "DTLformatproceedings"
    "DTLformattechreport"
    "DTLformatunpublished"
    "DTLacmcs"
    "DTLacta"
    "DTLcacm"
    "DTLibmjrd"
    "DTLibmsj"
    "DTLieeese"
    "DTLieeetc"
    "DTLieeetcad"
    "DTLipl"
    "DTLjacm"
    "DTLjcss"
    "DTLscp"
    "DTLsicomp"
    "DTLtocs"
    "DTLtods"
    "DTLtog"
    "DTLtoms"
    "DTLtoois"
    "DTLtoplas"
    "DTLtcs"
    "dtlbst"
    "DTLcite"
    "theHDTLbibrow"
    "DTLmonthname"
    "DTLafterinitials"
    "DTLbetweeninitials"
    "DTLafterinitialbeforehyphen"
    "DTLinitialhyphen")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-counters
    "DTLbibrow"
    "DTLmaxauthors"
    "DTLmaxeditors")
   (LaTeX-add-lengths
    "dtl"))
 :latex)

