(TeX-add-style-hook
 "grafcet"
 (lambda ()
   (TeX-run-style-hooks
    "tikz"
    "ifthen"
    "ifsym")
   (TeX-add-symbols
    '("EspaceV" ["argument"] 1)
    '("LienRetourOU" ["argument"] 2)
    '("Lien" ["argument"] 3)
    '("LienRetoura" ["argument"] 2)
    '("LienRetourUp" ["argument"] 3)
    '("LienRetourN" ["argument"] 2)
    '("DecaleNoeudy" ["argument"] 2)
    '("DecaleNoeudx" ["argument"] 2)
    '("ConvOU" ["argument"] 3)
    '("ConvET" ["argument"] 3)
    '("FinBrancheOUa" ["argument"] 2)
    '("FinBrancheOU" ["argument"] 2)
    '("BrancheOU" ["argument"] 1)
    '("RepriseEtapes" ["argument"] 3)
    '("SautEtapes" ["argument"] 3)
    '("GrapheBoucle" ["argument"] 1)
    '("Graphe" ["argument"] 1)
    '("SequenceEE" ["argument"] 2)
    '("SequenceTE" ["argument"] 3)
    '("SequenceTT" ["argument"] 2)
    '("SequenceET" ["argument"] 1)
    '("EtapeInitTransition" ["argument"] 3)
    '("EtapeTransition" ["argument"] 3)
    '("EtapeInitAction" ["argument"] 2)
    '("EtapeAction" ["argument"] 2)
    '("TransitionRecept" ["argument"] 2)
    '("ForcageXV" ["argument"] 2)
    '("ForcageX" ["argument"] 2)
    '("Forcage" ["argument"] 2)
    '("ActionEfface" ["argument"] 1)
    '("ActionXV" ["argument"] 2)
    '("ActionX" ["argument"] 2)
    '("Action" ["argument"] 2)
    '("TransitionPuits" ["argument"] 1)
    '("TransitionSource" ["argument"] 1)
    '("Transition" ["argument"] 1)
    '("Comment" ["argument"] 2)
    '("EtapeEncapsulanteInit" ["argument"] 1)
    '("EtapeEncapsulante" ["argument"] 1)
    '("MacroEtapeS" ["argument"] 1)
    '("MacroEtapeE" ["argument"] 1)
    '("MacroEtape" ["argument"] 1)
    '("EtapeInit" ["argument"] 1)
    '("EtapeSeule" ["argument"] 1)
    '("Etape" ["argument"] 1)
    '("LienTE" 2)
    '("LienET" 2)
    '("Lieny" 2)
    '("DivOU" 2)
    '("DivET" 2)
    '("ActionRecept" 1)
    '("Actions" 1)
    '("Recepts" 1)
    '("Recept" 2)
    '("ActionEvenement" 2)
    '("ActionCond" 2)
    '("ActionDesactiv" 1)
    '("ActionActiv" 1)
    '("ActionFranchissement" 2)
    '("CadreEncap" 4)
    '("EtapeActive" 1)
    '("LienActivation" 1)
    "LienRetour"
    "encap"
    "nometape"
    "nomgraphe")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)))
 :latex)

