(TeX-add-style-hook
 "interactiveworkbook"
 (lambda ()
   (TeX-run-style-hooks
    "epsfig"
    "color"
    "xspace"
    "ifthen")
   (TeX-add-symbols
    '("clear" 1)
    '("correct" 2)
    '("submit" 1)
    '("exerciseintroduction" 1)
    '("exerquessetuptwenty" 1)
    '("exerquessetupnineteen" 1)
    '("exerquessetupeighteen" 1)
    '("exerquessetupseventeen" 1)
    '("exerquessetupsixteen" 1)
    '("exerquessetupfifteen" 1)
    '("exerquessetupfourteen" 1)
    '("exerquessetupthirteen" 1)
    '("exerquessetuptwelve" 1)
    '("exerquessetupeleven" 1)
    '("exerquessetupten" 1)
    '("exerquessetupnine" 1)
    '("exerquessetupeight" 1)
    '("exerquessetupseven" 1)
    '("exerquessetupsix" 1)
    '("exerquessetupfive" 1)
    '("exerquessetupfour" 1)
    '("exerquessetupthree" 1)
    '("exerquessetuptwo" 1)
    '("exerquessetupone" 1)
    '("nextsetup" 1)
    '("ndexsetup" 1)
    '("prevsetup" 1)
    '("answerradiofive" 1)
    '("answerradiofour" 1)
    '("answerradiothree" 1)
    '("answerradiotwo" 1)
    '("answerradioone" 1)
    '("answerfieldfive" 1)
    '("answerfieldfour" 1)
    '("answerfieldthree" 1)
    '("answerfieldtwo" 1)
    '("answerfieldone" 1)
    '("answerpopupfive" 1)
    '("answerpopupfour" 1)
    '("answerpopupthree" 1)
    '("answerpopuptwo" 1)
    '("answerpopupone" 1)
    '("answercheckfive" 1)
    '("answercheckfour" 1)
    '("answercheckthree" 1)
    '("answerchecktwo" 1)
    '("answercheckone" 1)
    '("questionandresponses" 7)
    "checkone"
    "checktwo"
    "checkthree"
    "checkfour"
    "checkfive"
    "fieldone"
    "fieldtwo"
    "fieldthree"
    "fieldfour"
    "fieldfive"
    "popupone"
    "popuptwo"
    "popupthree"
    "popupfour"
    "popupfive"
    "radioone"
    "radiotwo"
    "radiothree"
    "radiofour"
    "radiofive"
    "prev"
    "ndex"
    "exerquesone"
    "exerquestwo"
    "exerquesthree"
    "exerquesfour"
    "exerquesfive"
    "exerquessix"
    "exerquesseven"
    "exerqueseight"
    "exerquesnine"
    "exerquesten"
    "exerqueseleven"
    "exerquestwelve"
    "exerquesthirteen"
    "exerquesfourteen"
    "exerquesfifteen"
    "exerquessixteen"
    "exerquesseventeen"
    "exerqueseighteen"
    "exerquesnineteen"
    "exerquestwenty"
    "checksubmit"
    "fieldsubmit"
    "popupsubmit"
    "radiosubmit"
    "rightcheckcorrect"
    "wrongcheckcorrect"
    "rightfieldcorrect"
    "wrongfieldcorrect"
    "rightpopupcorrect"
    "wrongpopupcorrect"
    "rightradiocorrect"
    "wrongradiocorrect"
    "checkclear"
    "fieldclear"
    "popupclear"
    "radioclear"
    "return")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)))
 :latex)

