(TeX-add-style-hook
 "newpxmath"
 (lambda ()
   (TeX-run-style-hooks
    "binhex"
    "amsmath"
    "xkeyval")
   (TeX-add-symbols
    '("not" 1)
    '("vvmathbb" 1)
    '("vmathbb" 1)
    '("varmathbb" 1)
    '("widering" 1)
    "BI"
    "lgroup"
    "rgroup"
    "lmoustache"
    "rmoustache"
    "lfloor"
    "rfloor"
    "lceil"
    "rceil"
    "lbrace"
    "rbrace"
    "langle"
    "rangle"
    "mid"
    "arrowvert"
    "vert"
    "parallel"
    "Arrowvert"
    "Vert"
    "updownarrow"
    "Updownarrow"
    "llbracket"
    "rrbracket"
    "lvert"
    "rvert"
    "lVert"
    "rVert"
    "transp"
    "groupld"
    "grouprd"
    "grouplu"
    "groupru"
    "grouplda"
    "grouprda"
    "grouplua"
    "grouprua"
    "widearc"
    "wideOarc"
    "lvec"
    "lrvec"
    "harpoonacc"
    "lharpoonacc"
    "lrharpoonacc"
    "barbar"
    "bartilde"
    "barhat"
    "tildebar"
    "tildetilde"
    "tildehat"
    "hatbar"
    "hattilde"
    "hathat"
    "cdotB"
    "cdotBB"
    "circS"
    "bulletSSS"
    "bulletSS"
    "bulletS"
    "primeS"
    "uppartial"
    "m"
    "smallprod"
    "smallsum"
    "smallcoprod"
    "n"
    "textsquare"
    "openbox"
    "ShowMathFonts"
    "DeclareMathSymbolCtr"
    "equalht"
    "joinrel"
    "mathsterling"
    "mathcent"
    "lBrack"
    "rBrack"
    "circledplus"
    "circledminus"
    "circledtimes"
    "circledslash"
    "circleddot"
    "overgroup"
    "undergroup"
    "downgroupfill"
    "upgroupfill"
    "overgroupra"
    "undergroupra"
    "overgroupla"
    "undergroupla"
    "downgroupfillra"
    "upgroupfillra"
    "downgroupfillla"
    "upgroupfillla"
    "smallint"
    "smalliint"
    "smalliiint"
    "smalloint"
    "smalloiint"
    "smalloiiint"
    "smallvarointclockwise"
    "smallointctrclockwise"
    "smallsumint"
    "smalliiiint"
    "smallfint"
    "smallsqint"
    "intop"
    "iintop"
    "iiintop"
    "ointop"
    "oiintop"
    "oiiintop"
    "varointclockwiseop"
    "ointctrclockwiseop"
    "sumintop"
    "iiiintop"
    "fintop"
    "sqintop"
    "int"
    "iint"
    "iiint"
    "oint"
    "oiint"
    "oiiint"
    "varointclockwise"
    "ointctrclockwise"
    "sumint"
    "iiiint"
    "fint"
    "sqint"
    "ointclockwise"
    "intsl"
    "iintsl"
    "iiintsl"
    "ointsl"
    "oiintsl"
    "oiiintsl"
    "varointclockwisesl"
    "ointctrclockwisesl"
    "sumintsl"
    "iiiintsl"
    "fintsl"
    "sqintsl"
    "ointclockwisesl"
    "intup"
    "iintup"
    "iiintup"
    "ointup"
    "oiintup"
    "oiiintup"
    "varointclockwiseup"
    "ointctrclockwiseup"
    "sumintup"
    "iiiintup"
    "fintup"
    "sqintup"
    "ointclockwiseup"
    "prod"
    "coprod"
    "sum"
    "bigwedge"
    "bigvee"
    "bigcap"
    "bigcup"
    "bigodot"
    "bigoplus"
    "bigotimes"
    "bigcupdot"
    "bignplus"
    "bigcapplus"
    "biguplus"
    "bigcupplus"
    "bigsqcap"
    "bigsqcapplus"
    "bigsqcup"
    "bigsqcupplus"
    "bigtimes"
    "varprod"
    "restriction"
    "Doteq"
    "doublecup"
    "doublecap"
    "llless"
    "gggtr"
    "Box"
    "mappedfrom"
    "mapsfrom"
    "longmappedfrom"
    "Mapsto"
    "Longmapsto"
    "Mappedfrom"
    "Mapsfrom"
    "Longmappedfrom"
    "mmapsto"
    "longmmapsto"
    "mmappedfrom"
    "longmmappedfrom"
    "Mmapsto"
    "Longmmapsto"
    "Mmappedfrom"
    "Longmmappedfrom"
    "lrJoin"
    "dasharrow"
    "circledotright"
    "circledotleft"
    "dlb"
    "drb"
    "notowns"
    "ne"
    "upGamma"
    "upDelta"
    "upTheta"
    "upLambda"
    "upXi"
    "upPi"
    "upSigma"
    "upUpsilon"
    "upPhi"
    "upPsi"
    "upOmega"
    "upalpha"
    "upbeta"
    "upgamma"
    "updelta"
    "upepsilon"
    "upzeta"
    "upeta"
    "uptheta"
    "upiota"
    "upkappa"
    "uplambda"
    "upmu"
    "upnu"
    "upxi"
    "uppi"
    "uprho"
    "upsigma"
    "uptau"
    "upupsilon"
    "upphi"
    "upchi"
    "uppsi"
    "upomega"
    "upvarepsilon"
    "upvartheta"
    "upvarpi"
    "upvarrho"
    "upvarsigma"
    "upvarphi"
    "upvarkappa"
    "alpha"
    "beta"
    "gamma"
    "delta"
    "epsilon"
    "zeta"
    "eta"
    "theta"
    "iota"
    "kappa"
    "lambda"
    "mu"
    "nu"
    "xi"
    "pi"
    "rho"
    "sigma"
    "tau"
    "upsilon"
    "phi"
    "chi"
    "psi"
    "omega"
    "varepsilon"
    "vartheta"
    "varpi"
    "varrho"
    "varsigma"
    "varphi"
    "varkappa"
    "nexistsAlt"
    "existsAlt"
    "forallAlt"
    "DoFutureLet"
    "mathbb"
    "vdots"
    "ddots"
    "downbracefill"
    "upbracefill"
    "defaultscriptratio"
    "defaultscriptscriptratio")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0)
    '("empheq" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("mdframed" LaTeX-env-args ["argument"] 0)
    '("vplace" LaTeX-env-args ["argument"] 0)
    '("margintable" LaTeX-env-args ["argument"] 0)
    '("marginfigure" LaTeX-env-args ["argument"] 0)
    '("verse" LaTeX-env-args ["argument"] 0)
    '("menufolder" LaTeX-env-args ["argument"] 1)
    '("metrike" LaTeX-env-args ["argument"] 0)
    '("metrica" LaTeX-env-args ["argument"] 0)
    '("explaincode" LaTeX-env-args ["argument"] 0)
    '("minipagewithmarginpars" LaTeX-env-args ["argument"] 1)
    '("arrangedWrapFigureNow" LaTeX-env-args ["argument"] 6)
    '("arrangedWrapFigure" LaTeX-env-args ["argument"] 6)
    '("arrangedSideWaysFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedSideWaysFigure" LaTeX-env-args ["argument"] 4)
    '("arrangedFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedFigure" LaTeX-env-args ["argument"] 4)
    '("mtchideinmainlot" LaTeX-env-args ["argument"] 0)
    '("mtchideinmainlof" LaTeX-env-args ["argument"] 0)
    '("mtchideinmaintoc" LaTeX-env-args ["argument"] 0)
    '("minted" LaTeX-env-args ["argument"] 1)
    '("Minutes" LaTeX-env-args ["argument"] 1)
    '("quiz" LaTeX-env-args ["argument"] 1)
    '("mpostfig" LaTeX-env-args ["argument"] 0)
    '("mpostdef" LaTeX-env-args ["argument"] 0)
    '("hmsc" LaTeX-env-args ["argument"] 1)
    '("mscdoc" LaTeX-env-args ["argument"] 1)
    '("msc" LaTeX-env-args ["argument"] 1)
    '("multienumerate" LaTeX-env-args ["argument"] 0)
    '("alloweqbreak" LaTeX-env-args ["argument"] 0)
    '("biblist" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)))
 :latex)

