(TeX-add-style-hook
 "person"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen"
    "datatool")
   (TeX-add-symbols
    '("Personsibling" ["argument"] 0)
    '("personsibling" ["argument"] 0)
    '("Personparent" ["argument"] 0)
    '("personparent" ["argument"] 0)
    '("Personchild" ["argument"] 0)
    '("personchild" ["argument"] 0)
    '("Personposspronoun" ["argument"] 0)
    '("personposspronoun" ["argument"] 0)
    '("Personpossadj" ["argument"] 0)
    '("personpossadj" ["argument"] 0)
    '("Personobjpronoun" ["argument"] 0)
    '("personobjpronoun" ["argument"] 0)
    '("Personpronoun" ["argument"] 0)
    '("personpronoun" ["argument"] 0)
    '("personname" ["argument"] 0)
    '("personfullname" ["argument"] 0)
    '("ifallfemale" ["argument"] 2)
    '("ifallmale" ["argument"] 2)
    '("removeperson" ["argument"] 0)
    '("newperson" ["argument"] 3)
    '("getpersonfullname" 2)
    '("getpersonname" 2)
    '("getpersongender" 2)
    '("persongender" 1)
    '("iffemale" 3)
    '("ifmale" 3)
    '("ifpersonexists" 3)
    '("removepeople" 1)
    '("iffemalelabel" 3)
    '("ifmalelabel" 3)
    '("addfemalelabel" 1)
    '("addmalelabel" 1)
    "malelabels"
    "femalelabels"
    "removeallpeople"
    "malepronoun"
    "femalepronoun"
    "pluralpronoun"
    "maleobjpronoun"
    "femaleobjpronoun"
    "pluralobjpronoun"
    "malepossadj"
    "femalepossadj"
    "pluralpossadj"
    "maleposspronoun"
    "femaleposspronoun"
    "pluralposspronoun"
    "malechild"
    "femalechild"
    "pluralchild"
    "malechildren"
    "femalechildren"
    "maleparent"
    "femaleparent"
    "pluralparent"
    "malesibling"
    "femalesibling"
    "pluralsibling"
    "malesiblings"
    "femalesiblings"
    "andname"
    "malename"
    "femalename"
    "personsep"
    "personlastsep"
    "twopeoplesep"
    "peoplefullname"
    "peoplename"
    "peoplepronoun"
    "Peoplepronoun"
    "peopleobjpronoun"
    "Peopleobjpronoun"
    "peoplepossadj"
    "Peoplepossadj"
    "peopleposspronoun"
    "Peopleposspronoun"
    "peoplechild"
    "Peoplechild"
    "peopleparent"
    "Peopleparent"
    "peoplesibling"
    "foreachperson")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2))
   (LaTeX-add-counters
    "people"))
 :latex)

