(TeX-add-style-hook
 "translator"
 (lambda ()
   (TeX-run-style-hooks
    "translator-language-mappings"
    "keyval")
   (TeX-add-symbols
    '("translate" ["argument"] 1)
    '("translatelet" ["argument"] 2)
    '("providetranslation" ["argument"] 2)
    '("renewtranslation" ["argument"] 2)
    '("newtranslation" ["argument"] 2)
    '("deftranslation" ["argument"] 2)
    '("iftranslationdefined" ["argument"] 3)
    '("uselanguage" ["argument"] 1)
    '("usedictionary" 1)
    '("languagepath" 1)
    '("languagealias" 2)
    "translatorversion"
    "noexpand"
    "ProvidesDictionary")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)))
 :latex)

